Bug 246700 - [exp-run] Update GCC_DEFAULT from 9 to 10
Summary: [exp-run] Update GCC_DEFAULT from 9 to 10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mark Linimon
URL:
Keywords:
Depends on: 246958 246987 247606 250932
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-24 15:04 UTC by Gerald Pfeifer
Modified: 2021-01-13 23:10 UTC (History)
10 users (show)

See Also:
gerald: exp-run?


Attachments
Patch to switch the default from GCC 9 to GCC 10 (376 bytes, patch)
2020-05-24 15:04 UTC, Gerald Pfeifer
no flags Details | Diff
patch to gcc.mk and various port Makefiles (13.01 KB, patch)
2020-10-23 01:42 UTC, Mark Linimon
no flags Details | Diff
patch to various port Makefiles (23.79 KB, patch)
2020-11-13 04:48 UTC, Mark Linimon
no flags Details | Diff
patch to various port Makefiles (11.31 KB, patch)
2020-11-17 22:06 UTC, Mark Linimon
no flags Details | Diff
patch to various port Makefiles (8.54 KB, patch)
2020-12-06 16:02 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2020-05-24 15:04:18 UTC
Created attachment 214815 [details]
Patch to switch the default from GCC 9 to GCC 10

GCC 10.1 has been released recently and it's been ten months since we moved
from the GCC 8 series to GCC 9 by default.

Historically a move to a new major release of GCC has always taken a bit of
time and effort, so starting this effort now is not too early.

In principle this should be a relatively smooth upgrade, the biggest breaking
point is probably going to be -fno-common becoming the default for C programs,
see the Porting Tips (first link below) for details.

https://gcc.gnu.org/gcc-10/porting_to.html and the general release notes
https://gcc.gnu.org/gcc-10/changes.html may prove useful.

(Note, for the time being we're using the gcc10-devel port; the gcc10 port
is work on progress and should behave identically.)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-05-31 03:37:58 UTC
This is insufficient, due to some bitrot in Mk/Uses/fortran.mk .

I am working on a fix.

Example symptom:

[00:00:46] Warning: (math/py-numpy): Error: math/py-numpy depends on nonexistent origin 'lang/gcc10'
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2020-05-31 04:47:56 UTC
I have now added two patches which are necessary but insufficient.

I don't have a solution for the code duplication between bsd.gcc.mk and Uses/fortran.mk.  The former is included *after* the latter.  In any case, imposing an order on the two would be fragile in the long-term.

As this PR and my patches are only for testing purposes, perhaps it's enough for now.  The *sufficient* patch would be to duplicate even more code from bsd.gcc.mk which has to do with:

  ${USE_GCC} == any
  _GCC_ORLATER
  _GCCVERSION_OKAY
Comment 3 Gerald Pfeifer freebsd_committer 2020-05-31 22:53:50 UTC
Let me create lang/gcc10 now that GCC 10.1 has been released, which should
avoid most (if not all) issues Mark found.

I'll share an updated patch and will re-assign to portmgr then, probably
within the next 48 hours.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2020-06-01 03:01:49 UTC
The current status of my own -exp work shows that at least 10 ports build based on the new compiler.  (Picked somewhat at random.)  I had failed to mention this earlier as I was focused on the fortran.mk patch.

I have started a larger -exp run with "all ports in sysutils/ that seem to depend on gccX on powerpc64-13" (even though I am running it in a -12 jail).

We should know more in a few hours.
Comment 5 commit-hook freebsd_committer 2020-06-01 21:59:50 UTC
A commit references this bug:

Author: gerald
Date: Mon Jun  1 21:59:33 UTC 2020
New revision: 537509
URL: https://svnweb.freebsd.org/changeset/ports/537509

Log:
  Welcome GCC 10.1, the first release of the GCC 10 series!

  https://gcc.gnu.org/gcc-10/changes.html has a comprehensive overview of
  many improvements and changes and https://gcc.gnu.org/gcc-10/porting_to.html
  highlights issues you may encounter porting to this version, though this
  release series should not bring too many, -fno-common now being the default
  probably is the one with the largest impact.

  To give a brief overview of some of the more noticable changes:

  Several new features from the upcoming C2X revision of the ISO C standard
  are supported with -std=c2x and -std=gnu2x. Some of these are also supported
  as extensions when compiling for older language versions.

  Several C++20 features have been implemented and the libstdc++ runtime
  library has improved experimental C++2a support.

  Caveat: The ABI of passing and returning certain C++ classes by value
  changed on targets including AArch64, ARM, PowerPC ELFv2 in -std=c++17
  and -std=c++20 modes.

  -fanalyzer enables a new static analysis pass and associated warnings,
  which is more time-consuming, but detects various common errors such as
  double-free bugs.  This is still work in progress, yet definitely worth
  a try!

  Extended characters in identifiers may now be specified directly in the
  input encoding (UTF-8 by default) for the C family of languages, so you
  can write "const int na?ve_? = 3;".

  The __has_builtin built-in preprocessor operator can be used to query
  support for built-in functions and __builtin_roundeven has been added.

  On the Fortran side, the default buffer size for I/O using unformatted
  files has been increased to 1048576 (and can now be set at run time),
  mismatches between actual and dummy argument lists in a single file are
  now rejected with an error (which can be disabled via the new optoins
  -fallow-argument-mismatch), the handling of a BOZ literal constant has
  been reworked to provide better conformance to the Fortran 2008 and 2018
  standards, and more.

  Optimization-wise, -fallocation-dce removes unneeded pairs of new and
  delete operators and -fprofile-partial-training, -fprofile-reproducible,
  and -fprofile-prefix-path allow for more control over the use of profiles.

  The inter-procedural optimizers (IPO) have seen many improvements: The
  inter-procedural scalar replacement of aggregates (IPA-SRA) pass now
  operates at link time and can remove computing/returning unused return
  values; -finline-functions is now enabled at -O2 and was retuned; inliner
  heuristics and function cloning use value-range information to predict
  the effectivity of individual transformations; and more.

  Similarly many improvements around link-time optimizations (LTO): A new
  binary lto-dump shows various information about LTO bytecode object files;
  the parallel phase of LTO automatically detects a running make's jobserver;
  LTO bytecode can be compressed with the zstd algorithm; profile maintenance
  during compilation and hot/cold code partitioning has been improved.

  Version 2.6 of the OpenACC specification is now supported by the C, C++ and
  Fortran compilers. GCC 10 adds a number of newly implemented OpenMP 5.0
  features on top of the GCC 9 release such as conditional lastprivate clause,
  scan and loop directives, order(concurrent) and use_device_addr clauses
  support, if clause on simd construct or partial support for the declare
  variant directive, getting closer to full support of the OpenMP 5.0 standard.

  A new warning -Wstring-compare, enabled by -Wextra, warns about equality
  and inequality expressions between zero and the result of a call to either
  strcmp and strncmp in some cases. -Wzero-length-bounds, enabled by
  -Warray-bounds, warns about accesses to elements of zero-length arrays
  that might overlap other members of the same object.

  Numerous enhancements to existing warnings, e.g. -Warray-bounds detects
  more out-of-bounds accesses to member arrays as well as accesses to elements
  of zero-length arrays, -Wformat-overflow makes full use of string length
  information computed by the strlen optimization pass, -Wrestrict detects
  overlapping accesses to dynamically allocated objects, -Wreturn-local-addr
  diagnoses more instances of return statements returning addresses of
  automatic variables, -Wstringop-overflow detects more out-of-bounds stores
  to member arrays including zero-length arrays, dynamically allocated
  bjects and variable length arrays, as well as more instances of reads
  of unterminated character arrays by string built-in functions,
  -Warith-conversion re-enables warnings from -Wconversion, -Wfloat-conversion,
  and -Wsign-conversion that are now off by default for an expression where the
  result of an arithmetic operation will not fit in the target type due to
  promotion, but the operands of the expression do fit in the target type.

  All architectures have seen improvements, and aarch64 notably has seen
  several related to the Scalable Vector Extension (SVE).

  The automatic template instantiation at link time (-frepo) has been
  removed (finally).

  Offloading to Heterogeneous System Architecture Intermediate Language
  (HSAIL) has been deprecated and will likely be removed in a future release.

  PR:		246700

Changes:
  head/lang/gcc10/
  head/lang/gcc10/Makefile
  head/lang/gcc10/distinfo
Comment 6 Gerald Pfeifer freebsd_committer 2020-06-02 11:09:10 UTC
lang/gcc10 is in place now, hooked to the infrastructure in Mk/bsd.gcc.mk,
and used when GCC 10 requested (explicitly or implicitly) via USE_GCC, so
this exp-run should be ready to go again.

Sorry for the interruption.

The original patch, which only touches Mk/bsd.default-versions.mk, still
applies.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2020-06-03 05:48:14 UTC
I have done some preliminary testing on powerpc64 on my own machine (well,
with gcc10-devel, but I do not believe there will be any difference).

So far there are two failure modes.  There are several ports with the first
but only one so far with the second.

from 2020-06-01_02h55m13s/logs/errors/dvdisaster-0.79.5_1.log:

  Compiling: udf.c
  Compiling: welcome-window.c
  Linking  : dvdisaster
  /usr/local/bin/ld: /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/build.o:(.data+0x0): multiple definition of `buildCount'; /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/bitmap.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/cacheprobe.o:(.bss+0x0): multiple definition of `buildCount'; /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/bitmap.o:(.bss+0x0): first defined here

  [and so on for 280 more lines]

from 2020-06-02_01h35m26s/logs/errors/mpich-3.2.1_6.log:

  checking whether Fortran 77 compiler processes .F files with C preprocessor... yes
  checking whether gfortran10 allows mismatched arguments... no
  configure: error: The Fortran compiler gfortran10 will not compile files that call the same routine with arguments of different types.
  ===>  Script "configure" failed unexpectedly.
Comment 8 Gerald Pfeifer freebsd_committer 2020-06-03 09:23:01 UTC
(In reply to Mark Linimon from comment #7)
> Linking  : dvdisaster
> /usr/local/bin/ld: /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/build.o:(.data+0x0): multiple definition of `buildCount'; /wrkdirs/usr/ports

Good news for our powerpc crew - this appears to be the general
   https://gcc.gnu.org/gcc-10/porting_to.html#common change,
that is, a mistake in this software unearthed by the new GCC 10
default of -fno-common.

The easy way out is to set -fcommon via CFLAGS. The better approach
long term is (for or via upstream) to fix the code per the link above.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2020-06-03 10:19:53 UTC
I am going to decouple the Mk/Uses/fortran.mk patches for now.

There is a corner case triggered by e.g. net/mpich which results in:

  openblas-0.3.9_2,1 depends on executable: gfortran - not found

Note the lack of a suffix.
Comment 10 commit-hook freebsd_committer 2020-06-03 17:17:36 UTC
A commit references this bug:

Author: gerald
Date: Wed Jun  3 17:17:26 UTC 2020
New revision: 537625
URL: https://svnweb.freebsd.org/changeset/ports/537625

Log:
  Update to the Wine 5.0.1 maintenance release.

  This adds some timezones and fixes some 37 bugs.

  Plus it facilitates compilation with GCC 10. [1]

  PR:		246700 [1]

Changes:
  head/emulators/wine/Makefile
  head/emulators/wine/distinfo
Comment 11 Fernando Apesteguía freebsd_committer 2020-06-05 10:10:12 UTC
^Triage: Deleting dependency on bug #246957 and adding bug #246987 where the actual patch is.
Comment 12 Antoine Brodin freebsd_committer 2020-06-12 20:25:54 UTC
Some new failures on 11.3 amd64:

http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/bowtie-1.1.2_9.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/molden-5.8.2_3,1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/ncbi-blast+-2.10.0_1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/psi88-1.0_16.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/NASTRAN-95-20160908_6.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/alliance-5.1.1_1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/graywolf-0.1.6.3_1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/wsjtx-2.1.2_1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/xastir-2.1.4_3.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/xneur-0.20.0.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/kBuild-0.1.9998_13.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/tigcc-0.96.b8_10.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/openmsx-0.15.0_2.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/skyeye-1.2.5_7.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/R-cran-tseries-0.10.45_3.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/dataplot-20200229_1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/geomorph-0.60.1_11.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/pgplot-5.2.2_27.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/raster3d-3.0.3_7.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/xd3d-8.3.1_18.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/R-cran-mvtnorm-0.9.96_20.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/algae-4.3.6_18.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/cmlib-3.0_8.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/elpa-2019.05.002_2.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/gotoblas-2.1.13.3.4.0_16.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/lapack-3.5.0_8.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/mumps4-4.10.0_3.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/slatec-4.1_12.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/xlapack-3.5.0_6.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/libemos-4.5.9_3.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/ipxe-20200314.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/l2tpd-0.69_10.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/mediatomb-0.12.1_26.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/mpich-3.2.1_6.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/mpich2-1.5_14,5.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/openmpi-4.0.3.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/openmpi3-3.1.6.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/opensips-2.2.6_7.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/aircraft-datcom-0.0.20120723_5.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/BerkeleyGW-2.0.0_5.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/cdf3-3.3.0_13.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/cgnslib-4.1.1,1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/dcl-5.4.8_9.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/hdf-4.2.11_8,1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/isaac-4.2_16.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/libccp4-6.5.1_4.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/netcdf-fortran-4.5.2.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/py27-scipy-1.2.2_1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/py37-scipy-1.2.2_1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/xtb-6.3.0.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/dvdisaster-0.79.5_1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/kannel-1.4.4_9,1.log
http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/rejik-3.2.11_8.log


A few hundreds ports were skipped due to those failures
Comment 13 Antoine Brodin freebsd_committer 2020-06-12 20:29:35 UTC
Some new failures on 11.3 i386:

+ {"origin"=>"biology/molden", "pkgname"=>"molden-5.8.2_3,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/ncbi-blast+", "pkgname"=>"ncbi-blast+-2.10.0_1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"biology/psi88", "pkgname"=>"psi88-1.0_16", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/NASTRAN-95", "pkgname"=>"NASTRAN-95-20160908_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/alliance", "pkgname"=>"alliance-5.1.1_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/graywolf", "pkgname"=>"graywolf-0.1.6.3_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/wsjtx", "pkgname"=>"wsjtx-2.1.2_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/xastir", "pkgname"=>"xastir-2.1.4_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql-mysql_fdw", "pkgname"=>"postgresql11-mysql_fdw-2.5.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/postgresql-repmgr", "pkgname"=>"postgresql-repmgr-5.1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/xneur", "pkgname"=>"xneur-0.20.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/kBuild", "pkgname"=>"kBuild-0.1.9998_13", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/tigcc", "pkgname"=>"tigcc-0.96.b8_10", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"emulators/advancemame", "pkgname"=>"advancemame-1.4_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/openmsx", "pkgname"=>"openmsx-0.15.0_2", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"emulators/skyeye", "pkgname"=>"skyeye-1.2.5_7", "phase"=>"build", "errortype"=>"new_compiler_error"}
+ {"origin"=>"finance/R-cran-tseries", "pkgname"=>"R-cran-tseries-0.10.45_3", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"graphics/dataplot", "pkgname"=>"dataplot-20200229_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/geomorph", "pkgname"=>"geomorph-0.60.1_11", "phase"=>"build", "errortype"=>"automake"}
+ {"origin"=>"graphics/pgplot", "pkgname"=>"pgplot-5.2.2_27", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/raster3d", "pkgname"=>"raster3d-3.0.3_7", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/xd3d", "pkgname"=>"xd3d-8.3.1_18", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/R-cran-mvtnorm", "pkgname"=>"R-cran-mvtnorm-0.9.96_20", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"math/algae", "pkgname"=>"algae-4.3.6_18", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/cmlib", "pkgname"=>"cmlib-3.0_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/elpa", "pkgname"=>"elpa-2019.05.002_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/lapack", "pkgname"=>"lapack-3.5.0_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/mumps4", "pkgname"=>"mumps4-4.10.0_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/slatec", "pkgname"=>"slatec-4.1_12", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/xlapack", "pkgname"=>"xlapack-3.5.0_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/libemos", "pkgname"=>"libemos-4.5.9_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/iaxmodem", "pkgname"=>"iaxmodem-1.2.0_10", "phase"=>"build", "errortype"=>"autoheader"}
+ {"origin"=>"net/ipxe", "pkgname"=>"ipxe-20200314", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/l2tpd", "pkgname"=>"l2tpd-0.69_10", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"net/mediatomb", "pkgname"=>"mediatomb-0.12.1_26", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/mpich", "pkgname"=>"mpich-3.2.1_6", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net/mpich2", "pkgname"=>"mpich2-1.5_14,5", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net/openmpi", "pkgname"=>"openmpi-4.0.3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/openmpi3", "pkgname"=>"openmpi3-3.1.6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/opensips", "pkgname"=>"opensips-2.2.6_7", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/aircraft-datcom", "pkgname"=>"aircraft-datcom-0.0.20120723_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/berkeleygw", "pkgname"=>"BerkeleyGW-2.0.0_5", "phase"=>"build", "errortype"=>"segfault"}
+ {"origin"=>"science/cdf", "pkgname"=>"cdf3-3.3.0_13", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/cgnslib", "pkgname"=>"cgnslib-4.1.1,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/dcl", "pkgname"=>"dcl-5.4.8_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/hdf", "pkgname"=>"hdf-4.2.11_8,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/isaac-cfd", "pkgname"=>"isaac-4.2_16", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/libccp4", "pkgname"=>"libccp4-6.5.1_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/netcdf-fortran", "pkgname"=>"netcdf-fortran-4.5.2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/py-scipy", "flavor"=>"py27", "pkgname"=>"py27-scipy-1.2.2_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/py-scipy", "pkgname"=>"py37-scipy-1.2.2_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/xtb", "pkgname"=>"xtb-6.3.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/dvdisaster", "pkgname"=>"dvdisaster-0.79.5_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/kannel", "pkgname"=>"kannel-1.4.4_9,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/rejik", "pkgname"=>"rejik-3.2.11_8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/gdm", "pkgname"=>"gdm-3.28.4_1", "phase"=>"build", "errortype"=>"coredump"}
Comment 14 Antoine Brodin freebsd_committer 2020-06-12 20:31:16 UTC
Some new failure logs on 11.3 i386:

http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/molden-5.8.2_3,1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/ncbi-blast+-2.10.0_1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/psi88-1.0_16.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/NASTRAN-95-20160908_6.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/alliance-5.1.1_1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/graywolf-0.1.6.3_1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/wsjtx-2.1.2_1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/xastir-2.1.4_3.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/postgresql11-mysql_fdw-2.5.1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/postgresql-repmgr-5.1.0.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/xneur-0.20.0.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/kBuild-0.1.9998_13.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/tigcc-0.96.b8_10.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/advancemame-1.4_3.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/openmsx-0.15.0_2.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/skyeye-1.2.5_7.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/R-cran-tseries-0.10.45_3.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/dataplot-20200229_1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/geomorph-0.60.1_11.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/pgplot-5.2.2_27.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/raster3d-3.0.3_7.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/xd3d-8.3.1_18.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/R-cran-mvtnorm-0.9.96_20.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/algae-4.3.6_18.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/cmlib-3.0_8.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/elpa-2019.05.002_2.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/lapack-3.5.0_8.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/mumps4-4.10.0_3.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/slatec-4.1_12.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/xlapack-3.5.0_6.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/libemos-4.5.9_3.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/iaxmodem-1.2.0_10.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/ipxe-20200314.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/l2tpd-0.69_10.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/mediatomb-0.12.1_26.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/mpich-3.2.1_6.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/mpich2-1.5_14,5.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/openmpi-4.0.3.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/openmpi3-3.1.6.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/opensips-2.2.6_7.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/aircraft-datcom-0.0.20120723_5.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/BerkeleyGW-2.0.0_5.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/cdf3-3.3.0_13.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/cgnslib-4.1.1,1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/dcl-5.4.8_9.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/hdf-4.2.11_8,1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/isaac-4.2_16.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/libccp4-6.5.1_4.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/netcdf-fortran-4.5.2.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/py27-scipy-1.2.2_1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/py37-scipy-1.2.2_1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/xtb-6.3.0.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/dvdisaster-0.79.5_1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/kannel-1.4.4_9,1.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/rejik-3.2.11_8.log
http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-06-10_18h04m56s/logs/errors/gdm-3.28.4_1.log
Comment 15 Antoine Brodin freebsd_committer 2020-06-12 20:35:33 UTC
Some new failure logs on 12.1 i386:

http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/molden-5.8.2_3,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/ncbi-blast+-2.10.0_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/psi88-1.0_16.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/NASTRAN-95-20160908_6.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/alliance-5.1.1_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/graywolf-0.1.6.3_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/wsjtx-2.1.2_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/xastir-2.1.4_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/postgresql11-mysql_fdw-2.5.1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/postgresql-repmgr-5.1.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/xneur-0.20.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/kBuild-0.1.9998_13.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/apache-spark-2.1.1_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/tigcc-0.96.b8_10.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/advancemame-1.4_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/openmsx-0.15.0_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/skyeye-1.2.5_7.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/R-cran-tseries-0.10.45_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/dataplot-20200229_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/geomorph-0.60.1_11.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/pgplot-5.2.2_27.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/raster3d-3.0.3_7.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/xd3d-8.3.1_18.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/R-cran-mvtnorm-0.9.96_20.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/algae-4.3.6_18.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/cmlib-3.0_8.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/elpa-2019.05.002_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/lapack-3.5.0_8.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/mumps4-4.10.0_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/slatec-4.1_12.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/xlapack-3.5.0_6.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/libemos-4.5.9_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/iaxmodem-1.2.0_10.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/ipxe-20200314.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/l2tpd-0.69_10.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/mediatomb-0.12.1_26.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/mpich-3.2.1_6.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/mpich2-1.5_14,5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/openmpi-4.0.3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/openmpi3-3.1.6.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/aircraft-datcom-0.0.20120723_5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/BerkeleyGW-2.0.0_5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/cdf3-3.3.0_13.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/cgnslib-4.1.1,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/dcl-5.4.8_9.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/hdf-4.2.11_8,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/isaac-4.2_16.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/libccp4-6.5.1_4.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/netcdf-fortran-4.5.2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/py27-scipy-1.2.2_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/py37-scipy-1.2.2_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/xtb-6.3.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/dvdisaster-0.79.5_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/kannel-1.4.4_9,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-06-10_18h04m51s/logs/errors/rejik-3.2.11_8.log
Comment 16 Antoine Brodin freebsd_committer 2020-06-12 20:40:07 UTC
Some new failure logs on 12.1 amd64:

http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/bowtie-1.1.2_9.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/molden-5.8.2_3,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/ncbi-blast+-2.10.0_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/psi88-1.0_16.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/NASTRAN-95-20160908_6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/alliance-5.1.1_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/graywolf-0.1.6.3_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/wsjtx-2.1.2_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xastir-2.1.4_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xneur-0.20.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/kBuild-0.1.9998_13.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/tigcc-0.96.b8_10.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/openmsx-0.15.0_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/skyeye-1.2.5_7.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/R-cran-tseries-0.10.45_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/dataplot-20200229_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/geomorph-0.60.1_11.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/pgplot-5.2.2_27.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/raster3d-3.0.3_7.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xd3d-8.3.1_18.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/mlton-20100608_8.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/powerpc64-elfv1-rust-bootstrap-1.44.0_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/R-cran-mvtnorm-0.9.96_20.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/algae-4.3.6_18.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/cmlib-3.0_8.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/elpa-2019.05.002_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/gotoblas-2.1.13.3.4.0_16.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/lapack-3.5.0_8.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/mumps4-4.10.0_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/slatec-4.1_12.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xlapack-3.5.0_6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/libemos-4.5.9_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/ipxe-20200314.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/l2tpd-0.69_10.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/mediatomb-0.12.1_26.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/mpich-3.2.1_6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/mpich2-1.5_14,5.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/openmpi-4.0.3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/openmpi3-3.1.6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/aircraft-datcom-0.0.20120723_5.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/BerkeleyGW-2.0.0_5.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/cdf3-3.3.0_13.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/cgnslib-4.1.1,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/dcl-5.4.8_9.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/hdf-4.2.11_8,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/isaac-4.2_16.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/libccp4-6.5.1_4.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/netcdf-fortran-4.5.2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/py27-scipy-1.2.2_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/py37-scipy-1.2.2_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xtb-6.3.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/dvdisaster-0.79.5_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/kannel-1.4.4_9,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/rejik-3.2.11_8.log
Comment 17 commit-hook freebsd_committer 2020-06-12 21:31:06 UTC
A commit references this bug:

Author: gerald
Date: Fri Jun 12 21:30:44 UTC 2020
New revision: 538632
URL: https://svnweb.freebsd.org/changeset/ports/538632

Log:
  Fix the build with GCC 10 that defaults to -fno-common via a new local
  patch files/patch-dvdisaster.h.

  PR:		246700, 246957, 246987
  Submitted by:	bob@eager.cx (maintainer)

Changes:
  head/sysutils/dvdisaster/files/patch-dvdisaster.h
Comment 18 Mark Linimon freebsd_committer freebsd_triage 2020-06-13 01:32:54 UTC
(In reply to Antoine Brodin from comment #16)

With the exception of the following ports, all of the failures on 121amd64 include USES=fortran:

biology/bowtie
biology/ncbi-blast+
cad/alliance
cad/graywolf
comms/xastir
deskutils/xneur
devel/kBuild
devel/tigcc
emulators/openmsx
emulators/skyeye
finance/R-cran-tseries
graphics/geomorph
lang/mlton
lang/rust-bootstrap
math/R-cran-mvtnorm
net/ipxe
net/l2tpd
net/mediatomb
www/kannel
www/rejik

I have not analyzed further.
Comment 19 commit-hook freebsd_committer 2020-06-13 17:09:17 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 13 17:08:29 UTC 2020
New revision: 538686
URL: https://svnweb.freebsd.org/changeset/ports/538686

Log:
  lang/rust-bootstrap: Limit elfv1 bootstrap to GCC9 for now

  To use newer GCC the powerpc64 binary package that provides gcc
  libraries in the cross sysroot will need updating to a newer GCC
  as well.

  PR:		246700

Changes:
  head/lang/rust-bootstrap/Makefile
Comment 20 commit-hook freebsd_committer 2020-06-21 14:38:20 UTC
A commit references this bug:

Author: tobik
Date: Sun Jun 21 14:38:06 UTC 2020
New revision: 539767
URL: https://svnweb.freebsd.org/changeset/ports/539767

Log:
  net/ipxe: Unbreak build with GCC 10

  /usr/local/bin/ld: bin/blib.a(dmfe.o):(.bss+0x0): multiple definition of `_shared_bss'; bin/blib.a(davicom.o):(.bss+0x0): first defined here
  /usr/local/bin/ld: bin/blib.a(epic100.o):(.bss+0x0): multiple definition of `_shared_bss'; bin/blib.a(davicom.o):(.bss+0x0): first defined here
  /usr/local/bin/ld: bin/blib.a(pxe_preboot.o):/wrkdirs/usr/ports/net/ipxe/work/ipxe-9ee70fb95bc266885ff88be228b044a2bb226eeb/src/include/ipxe/isapnp.h:237: multiple definition of `isapnp_read_port'; bin/blib.a(isapnp.o):(.bss+0x0): first defined here
  /usr/local/bin/ld: bin/blib.a(sis900.o):(.bss+0x0): multiple definition of `_shared_bss'; bin/blib.a(davicom.o):(.bss+0x0): first defined here
  /usr/local/bin/ld: bin/blib.a(sundance.o):(.bss+0x0): multiple definition of `_shared_bss'; bin/blib.a(davicom.o):(.bss+0x0): first defined here
  /usr/local/bin/ld: bin/blib.a(tlan.o):(.bss+0x0): multiple definition of `_shared_bss'; bin/blib.a(davicom.o):(.bss+0x0): first defined here
  /usr/local/bin/ld: bin/blib.a(tulip.o):(.bss+0x0): multiple definition of `_shared_bss'; bin/blib.a(davicom.o):(.bss+0x0): first defined here
  /usr/local/bin/ld: bin/blib.a(w89c840.o):(.bss+0x0): multiple definition of `_shared_bss'; bin/blib.a(davicom.o):(.bss+0x0): first defined here

  http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/ipxe-20200314.log

  PR:		246700

Changes:
  head/net/ipxe/Makefile
Comment 21 commit-hook freebsd_committer 2020-06-21 14:55:25 UTC
A commit references this bug:

Author: tobik
Date: Sun Jun 21 14:55:10 UTC 2020
New revision: 539769
URL: https://svnweb.freebsd.org/changeset/ports/539769

Log:
  www/rejik: Unbreak build with GCC 10

  /usr/local/bin/ld: pass.o:(.bss+0x0): multiple definition of `change_log'; /tmp/ccMvpVPD.o:(.bss+0x0): first defined here
  .. and so on ...

  http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/rejik-3.2.11_8.log

  - Respect CFLAGS/LDFLAGS
  - GCC 10 switched to -fno-common by default and this port is not
    ready in any way.  Since this is also abandonware it should
    probably be retired.  For now go back to -fcommon.

  PR:		246700

Changes:
  head/www/rejik/Makefile
  head/www/rejik/files/patch-Makefile
Comment 22 commit-hook freebsd_committer 2020-06-21 16:42:43 UTC
A commit references this bug:

Author: tobik
Date: Sun Jun 21 16:41:58 UTC 2020
New revision: 539774
URL: https://svnweb.freebsd.org/changeset/ports/539774

Log:
  deskutils/xneur: Unbreak build with GCC 10

  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-bind_table.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-buffer.o):(.bss+0x10): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-event.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-focus.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-keymap.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-plugin.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-program.o):(.bss+0x8): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-selection.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-switchlang.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-utils.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../main/.libs/libxnmain.a(libxnmain_la-window.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../ai/.libs/libxnai.a(libxnai_la-detection.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../notify/.libs/libxnnotify.a(libxnnotify_la-notify.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../notify/.libs/libxnnotify.a(libxnnotify_la-popup.o):(.bss+0x8): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here
  /usr/local/bin/ld: ../notify/.libs/libxnnotify.a(libxnnotify_la-sound.o):(.bss+0x0): multiple definition of `main_window'; .libs/libxneur_la-xneurlib.o:(.bss+0x8): first defined here

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xneur-0.20.0.log

  PR:		246700

Changes:
  head/deskutils/xneur/files/patch-lib_lib_xneur.h
Comment 23 commit-hook freebsd_committer 2020-06-21 17:03:48 UTC
A commit references this bug:

Author: tobik
Date: Sun Jun 21 17:03:39 UTC 2020
New revision: 539776
URL: https://svnweb.freebsd.org/changeset/ports/539776

Log:
  devel/kBuild: Unbreak build with GCC 10 (-fno-common)

  /usr/local/bin/ld: arscan.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: commands.o:(.bss+0x10): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: default.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: dir.o:(.bss+0x110): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: expand.o:(.bss+0x20): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: file.o:(.bss+0x10): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: function.o:(.bss+0x120): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: implicit.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: job.o:(.bss+0x30): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: main.o:(.bss+0x3b0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: misc.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: read.o:(.bss+0x10): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: remake.o:(.bss+0x10): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: remote-stub.o:(.bss+0x10): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: rule.o:(.bss+0x30): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: signame.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: strcache.o:(.bss+0x70): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: variable.o:(.bss+0x110): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: vpath.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: hash.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: expreval.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: incdep.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: strcache2.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: alloccache.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: kbuild.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: kbuild-object.o:(.bss+0x10): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: kDep.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: append.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: printf.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: redirect.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: touch.o:(.bss+0x0): multiple definition of `stack_limit'; ar.o:(.bss+0x0): first defined here

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/kBuild-0.1.9998_13.log

  PR:		246700

Changes:
  head/devel/kBuild/files/patch-src_kmk_make.h
Comment 24 commit-hook freebsd_committer 2020-06-22 03:13:45 UTC
A commit references this bug:

Author: tobik
Date: Mon Jun 22 03:13:12 UTC 2020
New revision: 539793
URL: https://svnweb.freebsd.org/changeset/ports/539793

Log:
  cad/graywolf: Unbreak build with GCC 10 (-fno-common)

  /usr/local/bin/ld: src/twmc/CMakeFiles/TimberWolfMC.dir/readnets.c.o:(.bss+0x5e40): multiple definition of `yyss'; src/twmc/CMakeFiles/TimberWolfMC.dir/readcells.c.o:(.bss+0x5e40): first defined here
  /usr/local/bin/ld: src/twmc/CMakeFiles/TimberWolfMC.dir/readnets.c.o:(.bss+0x6240): multiple definition of `yyssp'; src/twmc/CMakeFiles/TimberWolfMC.dir/readcells.c.o:(.bss+0x6240): first defined here
  /usr/local/bin/ld: src/twmc/CMakeFiles/TimberWolfMC.dir/readnets.c.o:(.bss+0x4ea0): multiple definition of `yyvs'; src/twmc/CMakeFiles/TimberWolfMC.dir/readcells.c.o:(.bss+0x4ea0): first defined here
  /usr/local/bin/ld: src/twmc/CMakeFiles/TimberWolfMC.dir/readnets.c.o:(.bss+0x6238): multiple definition of `yyvsp'; src/twmc/CMakeFiles/TimberWolfMC.dir/readcells.c.o:(.bss+0x6238): first defined here

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/graywolf-0.1.6.3_1.log

  PR:		246700

Changes:
  head/cad/graywolf/Makefile
Comment 25 commit-hook freebsd_committer 2020-06-22 03:21:48 UTC
A commit references this bug:

Author: tobik
Date: Mon Jun 22 03:21:39 UTC 2020
New revision: 539794
URL: https://svnweb.freebsd.org/changeset/ports/539794

Log:
  comms/xastir: Unbreak build with GCC 10 (-fno-common)

  /usr/local/bin/ld: db.o:(.bss+0x2cc00): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: fcc_data.o:(.bss+0x0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: igate.o:(.bss+0x120): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: interface.o:(.bss+0x209a0): multiple definition of `pname'; db.o:(.bss+0x2cbe0): first defined here
  /usr/local/bin/ld: interface.o:(.bss+0x209c0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: interface_gui.o:(.bss+0x3b00): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: location_gui.o:(.bss+0x20): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: main.o:(.bss+0x6c78): multiple definition of `number_of_predefined_objects'; db.o:(.bss+0x2cfe8): first defined here
  /usr/local/bin/ld: main.o:(.bss+0x6c80): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: main.o:(.bss+0x6c70): multiple definition of `pname'; db.o:(.bss+0x2cbe0): first defined here
  /usr/local/bin/ld: maps.o:(.bss+0x4a40): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_cache.o:(.bss+0x20): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_dos.o:(.bss+0x0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_geo.o:(.bss+0x20): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_gnis.o:(.bss+0x0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_OSM.o:(.bss+0x0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_pop.o:(.bss+0x0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_shp.o:(.bss+0x20): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_tif.o:(.bss+0x0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: map_WMS.o:(.bss+0x0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: messages.o:(.bss+0x9a80): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: messages_gui.o:(.bss+0x40): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: objects.o:(.bss+0x6d0): multiple definition of `number_of_predefined_objects'; db.o:(.bss+0x2cfe8): first defined here
  /usr/local/bin/ld: objects.o:(.bss+0x6e0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: rac_data.o:(.bss+0x0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: track_gui.o:(.bss+0xc0): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: track_gui.o:(.bss+0x4a8): multiple definition of `number_of_predefined_objects'; db.o:(.bss+0x2cfe8): first defined here
  /usr/local/bin/ld: util.o:(.bss+0x80): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: x_spider.o:(.bss+0x18): multiple definition of `pname'; db.o:(.bss+0x2cbe0): first defined here
  /usr/local/bin/ld: xa_config.o:(.bss+0x20): multiple definition of `xa_config_dir'; color.o:(.bss+0x20): first defined here
  /usr/local/bin/ld: xa_config.o:(.bss+0x8): multiple definition of `number_of_predefined_objects'; db.o:(.bss+0x2cfe8): first defined here

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xastir-2.1.4_3.log

  PR:		246700

Changes:
  head/comms/xastir/Makefile
Comment 26 Tobias Kortkamp freebsd_committer 2020-06-22 04:50:05 UTC
tigcc in ports r539795
Comment 27 commit-hook freebsd_committer 2020-06-25 06:50:57 UTC
A commit references this bug:

Author: tobik
Date: Thu Jun 25 06:50:18 UTC 2020
New revision: 540376
URL: https://svnweb.freebsd.org/changeset/ports/540376

Log:
  science/berkeleygw: Unbreak build with GCC 10

  epsilon_main.f90:1271:72:

   1271 |         call epsinv(gvec,pol,ekin,qq,is_q0,crys,scal,kp,omega_plasma,iq)
        |                                                                        1
  Error: Missing actual argument for argument '_formal_18' at (1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/BerkeleyGW-2.0.0_5.log

  PR:		246700

Changes:
  head/science/berkeleygw/files/patch-Epsilon_Makefile
Comment 28 Tobias Kortkamp freebsd_committer 2020-06-25 07:19:16 UTC
Some of the Fortran ports (for instance cad/NASTRAN-95) can be
unbroken by passing new compiler flags to the build.  Some like
-fallow-invalid-boz are only recognized by GCC 10 and not older
versions.  I cannot just add them without breaking the build with
GCC 9 or older.  What is the right idiom to check the GCC version
in ports?  Is this ok?

.if ${FORTRAN_DEFAULT} == gfortran && ${GCC_DEFAULT} >= 10
FFLAGS+=	-fallow-invalid-boz
.endif
Comment 29 commit-hook freebsd_committer 2020-06-28 04:29:34 UTC
A commit references this bug:

Author: tobik
Date: Sun Jun 28 04:29:20 UTC 2020
New revision: 540671
URL: https://svnweb.freebsd.org/changeset/ports/540671

Log:
  cad/NASTRAN-95: Unbreak build with GCC 10

  bufchk.f:16:28:

     16 |      1                 '1'X    ,  '2'X     , '3'X    , '4'X  , '8'X   /
        |                            1
  Error: BOZ constant at (1) uses nonstandard postfix syntax [see '-fno-allow-invalid-boz']
  bufchk.f:18:32:

     18 |      1                 'F1111'X,  'F2222'X , 'FAAAA'X, 'FBBBB'X /
        |                                1
  Error: BOZ constant at (1) uses nonstandard postfix syntax [see '-fno-allow-invalid-boz']
  bufchk.f:20:32:

     20 |      1                 'F5555'X,  'F7777'X , 'F8888'X, 'F9999'X /
        |                                1
  Error: BOZ constant at (1) uses nonstandard postfix syntax [see '-fno-allow-invalid-boz']

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/NASTRAN-95-20160908_6.log

  PR:		246700

Changes:
  head/cad/NASTRAN-95/Makefile
Comment 30 commit-hook freebsd_committer 2020-06-28 05:45:50 UTC
A commit references this bug:

Author: tobik
Date: Sun Jun 28 05:44:57 UTC 2020
New revision: 540675
URL: https://svnweb.freebsd.org/changeset/ports/540675

Log:
  math/R-cran-tseries: Update to 0.10-47

  This unbreaks the build with GCC 10.

  PR:		246700

Changes:
  head/finance/R-cran-tseries/Makefile
  head/finance/R-cran-tseries/distinfo
Comment 31 commit-hook freebsd_committer 2020-07-04 06:55:33 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 06:54:39 UTC 2020
New revision: 541167
URL: https://svnweb.freebsd.org/changeset/ports/541167

Log:
  science/dcl: Unbreak build with GCC 10

  glrqnp.f:29:56:

     29 |       DATA CPARAS(6) / 'REALMIN ' /, RX(6) / Z'00800000' /
        |                                                        1
  Error: BOZ literal constant near (1) cannot be assigned to a REAL variable [see '-fno-allow-invalid-boz']
  glrqnp.f:28:56:

     28 |       DATA CPARAS(5) / 'REALMAX ' /, RX(5) / Z'7F7FFFFF' /
        |                                                        1
  Error: BOZ literal constant near (1) cannot be assigned to a REAL variable [see '-fno-allow-invalid-boz']

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/dcl-5.4.8_9.log

  PR:		246700

Changes:
  head/science/dcl/Makefile
Comment 32 commit-hook freebsd_committer 2020-07-04 07:17:39 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 07:16:43 UTC 2020
New revision: 541168
URL: https://svnweb.freebsd.org/changeset/ports/541168

Log:
  graphics/dataplot: Update to newest commit

  This also unbreaks the build with GCC 10.

  Changes:	https://github.com/usnistgov/dataplot/compare/43df775f24e2d2eca94e250ec302d7a5876ea2b2...2c1b27601a3b7523449de612613eadeead9a8f70
  PR:		246700

Changes:
  head/graphics/dataplot/Makefile
  head/graphics/dataplot/distinfo
  head/graphics/dataplot/files/patch-Makefile
Comment 33 commit-hook freebsd_committer 2020-07-04 07:28:41 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 07:27:41 UTC 2020
New revision: 541170
URL: https://svnweb.freebsd.org/changeset/ports/541170

Log:
  graphics/raster3d: Unbreak build with GCC 10

  render.f:971:28:

    971 |  BKGND(3) = iand(XBG,X'00FF')
        |                            1
  Error: Hexadecimal constant at (1) uses nonstandard X instead of Z [see '-fno-allow-invalid-boz']
  render.f:972:28:

    972 |  BKGND(2) = iand(XBG,X'FF00')/256
        |                            1
  Error: Hexadecimal constant at (1) uses nonstandard X instead of Z [see '-fno-allow-invalid-boz']
  render.f:973:28:

    973 |  BKGND(1) = iand(XBG,X'FF0000')/65536
        |                            1
  Error: Hexadecimal constant at (1) uses nonstandard X instead of Z [see '-fno-allow-invalid-boz']

  Error: More actual than formal arguments in procedure call at (1)
  render.f:1079:22:

   1077 |       IERR = LOCAL(5, IBKGND(1), IBKGND(2), IBKGND(3))
        |                      2
   1078 |       IERR = LOCAL(1, NAX, NAY, OTMODE, QUALITY)
   1079 |       IERR = LOCAL(4, TITLE)
        |                      1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (CHARACTER(132)/INTEGER(4)).
  render.f:4402:22:

   1077 |       IERR = LOCAL(5, IBKGND(1), IBKGND(2), IBKGND(3))
        |                      2
  ......
   4402 |  IERR = LOCAL(2, OUTBUF(K+1,1), OUTBUF(K+1,2), OUTBUF(K+1,3),
        |                      1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(2)/INTEGER(4)).
  render.f:4430:13:

   4430 |       IERR = LOCAL(3)
        |             1
  Error: Missing actual argument for argument '_formal_4' at (1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/raster3d-3.0.3_7.log

  PR:		246700

Changes:
  head/graphics/raster3d/Makefile
Comment 34 commit-hook freebsd_committer 2020-07-04 08:00:46 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 08:00:41 UTC 2020
New revision: 541172
URL: https://svnweb.freebsd.org/changeset/ports/541172

Log:
  science/isaac-cfd: Unbreak build with GCC 10

  march.F:1111:47:

   1111 |      1                     Q, PROPS, NPPTS, S, VOL, DTJ,
        |                                               1
  Error: Rank mismatch in argument 'vol' at (1) (scalar and rank-3)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/isaac-4.2_16.log

  PR:		246700

Changes:
  head/science/isaac-cfd/Makefile
Comment 35 commit-hook freebsd_committer 2020-07-04 08:20:50 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 08:20:07 UTC 2020
New revision: 541175
URL: https://svnweb.freebsd.org/changeset/ports/541175

Log:
  graphics/pgplot: Unbreak build with GCC 10

  Error: Type mismatch in argument 'pixmap' at (1); passed INTEGER(8) to INTEGER(1)
  ./drivers/gidriv.f:266:72:

    266 |      :     CALL GRGI01(IX0, IY0, IX1, IY1, IC, BX, BY, %VAL(PIXMAP))
        |                                                                        1
  Error: Type mismatch in argument 'pixmap' at (1); passed INTEGER(8) to INTEGER(1)
  ./drivers/gidriv.f:275:72:

    275 |      :     CALL GRGI01(IX0, IY0, IX0, IY0, IC, BX, BY, %VAL(PIXMAP))
        |                                                                        1
  Error: Type mismatch in argument 'pixmap' at (1); passed INTEGER(8) to INTEGER(1)
  ./drivers/gidriv.f:288:72:

    288 |      :                  %VAL(WORK))
        |                                                                        1
  Error: Type mismatch in argument 'pixmap' at (1); passed INTEGER(8) to INTEGER(1)
  ./drivers/gidriv.f:367:72:

    367 |      :     CALL GRGI03(IX0, IY0, IX1, IY1, IC, BX, BY, %VAL(PIXMAP))
        |                                                                        1
  Error: Type mismatch in argument 'pixmap' at (1); passed INTEGER(8) to INTEGER(1)
  ./drivers/gidriv.f:378:72:

    378 |       CALL GRGI04(NBUF, RBUF, BX, BY, %VAL(PIXMAP), MAXIDX)
        |                                                                        1
  Error: Type mismatch in argument 'pixmap' at (1); passed INTEGER(8) to INTEGER(1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/pgplot-5.2.2_27.log

  PR:		246700

Changes:
  head/graphics/pgplot/Makefile
Comment 36 commit-hook freebsd_committer 2020-07-04 10:20:12 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 10:19:52 UTC 2020
New revision: 541188
URL: https://svnweb.freebsd.org/changeset/ports/541188

Log:
  graphics/geomorph: Unbreak build with GCC 10 (-fno-common default)

  /usr/local/bin/ld: main.o:(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: document.o:(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: doctype.o:(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: thisappinit.o:(.bss+0x160): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: stack.o:(.bss+0x8): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(camera.o):(.bss+0xc0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(hf_wrapper.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(hf_dialog_options.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(hf_tools_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(hf_creation_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(surfadd.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(img_process_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(surfadd_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(img_process.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(subdiv1.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(uniform.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(subdiv1_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(uniform_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(hf_filters.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(hf_filters_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(waves_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(waves.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(subdiv2_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(subdiv2.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(gl_preview.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(merge_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(geom_transform_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(erode_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(craters.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(draw_tools_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(draw_hf.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(merge.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(fault.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(fault_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(swirl.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(swirl_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(erode.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(wind.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(wind_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(dialog_utilities.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(line.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(line_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(fill.o):(.bss+0x8): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(fill_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(render.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(voronoi.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(voronoi_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(draw_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(draw_hf_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(draw_crater_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../hf/libhf.a(draw.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../fourier/libfourier.a(fourier_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../fourier/libfourier.a(fourier.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../fourier/libfourier.a(fft.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../utils/libutils.a(utils.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../utils/libutils.a(config_rc_file.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../utils/libutils.a(config_dialog.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../utils/libutils.a(filesel.o):(.bss+0x8): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../utils/libutils.a(writepng.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../utils/libutils.a(menus_n_tools.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../utils/libutils.a(readpng.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here
  /usr/local/bin/ld: ../utils/libutils.a(scale_buttons.o):(.bss+0x0): multiple definition of `default_dir'; app.o:(.bss+0x50): first defined here

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/geomorph-0.60.1_11.log

  PR:		246700

Changes:
  head/graphics/geomorph/Makefile
Comment 37 commit-hook freebsd_committer 2020-07-04 10:41:17 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 10:40:42 UTC 2020
New revision: 541190
URL: https://svnweb.freebsd.org/changeset/ports/541190

Log:
  science/cdf: Unbreak build with GCC 10

  qst2if.f:129:17:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    129 |      .           NULL_, STATUS)
        |                 1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:133:17:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    133 |      .           NULL_, STATUS)
        |                 1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:152:23:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    152 |      .                 VAR_NUM_ELEMENTS,
        |                       1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:164:20:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    164 |      .              NULL_, STATUS)
        |                    1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:172:20:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    172 |      .              NULL_, STATUS)
        |                    1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:180:20:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    180 |      .              NULL_, STATUS)
        |                    1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:187:17:

    187 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                 1
  Error: More actual than formal arguments in procedure call at (1)
  qst2if.f:199:50:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    199 |         STATUS = CDF_LIB    (PUT_, CDF_CHECKSUM_, CHECKSUM,
        |                                                  1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:207:51:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    207 |         STATUS = CDF_LIB    (GET_, rVARs_NUMDIMS_, NUM_DIMS_OUT,
        |                                                   1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:238:23:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    238 |      .                 VAR_NUM_ELEMENTS,
        |                       1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:250:64:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    250 |         STATUS = CDF_LIB    (CREATE_, rVAR_, 'VAR2a', CDF_INT4, 1,
        |                                                                1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:265:45:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    265 |         STATUS = CDF_LIB    (SELECT_, rVAR_, varNums(1),
        |                                             1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:288:44:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    288 |         STATUS = CDF_LIB   (SELECT_, rVAR_, VAR_NUM_OUT,
        |                                            1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:292:55:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    292 |         STATUS = CDF_LIB   (SELECT_, rVARs_RECNUMBER_, REC_NUM,
        |                                                       1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:300:60:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    300 |             STATUS = CDF_LIB   (SELECT_, rVARs_DIMINDICES_, INDICES,
        |                                                            1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:311:55:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    311 |         STATUS = CDF_LIB   (SELECT_, rVARs_RECNUMBER_, REC_NUM,
        |                                                       1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:319:60:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    319 |             STATUS = CDF_LIB   (SELECT_, rVARs_DIMINDICES_, INDICES,
        |                                                            1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:345:56:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    345 |         STATUS = CDF_LIB    (SELECT_, rVARs_RECNUMBER_, REC_START,
        |                                                        1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:377:57:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    377 |         STATUS = CDF_LIB    (CONFIRM_, rVARs_RECNUMBER_, recnum_out,
        |                                                         1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:419:51:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    419 |         STATUS = CDF_LIB   (SELECT_, rVAR_SEQPOS_, REC_NUM, INDICES,
        |                                                   1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:426:24:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    426 |      .           NULL_, STATUS)
        |                        1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:431:52:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    431 |         STATUS = CDF_LIB   (CONFIRM_, rVAR_SEQPOS_, REC_NUM, INDICES,
        |                                                    1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:447:51:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    447 |         STATUS = CDF_LIB   (SELECT_, rVAR_SEQPOS_, REC_NUM, INDICES,
        |                                                   1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:454:24:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    454 |      .           NULL_, STATUS)
        |                        1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:465:56:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    465 |         STATUS = CDF_LIB    (SELECT_, rVARs_RECNUMBER_, 10,
        |                                                        1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:472:50:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    472 |         STATUS = CDF_LIB   (GET_, rVARs_RECDATA_, numVars,
        |                                                  1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:490:22:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    490 |      .                ATTR_NUM_OUT,
        |                      1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:498:47:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    498 |         STATUS = CDF_LIB    (SELECT_, gENTRY_, ENTRY_NUM,
        |                                               1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:509:48:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    509 |         STATUS = CDF_LIB   (GET_, gENTRY_DATA_, ENTRY_VALUE_OUT,
        |                                                1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:521:49:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    521 |         STATUS = CDF_LIB    (GET_, LIB_VERSION_, VERSIONlib,
        |                                                 1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:529:49:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    529 |         STATUS = CDF_LIB    (GET_, CDF_VERSION_, VERSIONcdf,
        |                                                 1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:547:50:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    547 |         STATUS = CDF_LIB    (GET_, CDF_CHECKSUM_, CHECKSUM_out,
        |                                                  1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:558:51:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    558 |         STATUS = CDF_LIB    (GET_, rVARs_NUMDIMS_, NUM_DIMS_OUT,
        |                                                   1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:596:26:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    596 |      .              PUT_, rVAR_NAME_, NEW_VARNAME,
        |                          1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:605:36:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    605 |      .              rVAR_DATATYPE_, VAR_DATA_TYPE_OUT,
        |                                    1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:619:49:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    619 |         STATUS = CDF_LIB   (GET_, rVAR_RECVARY_, VAR_REC_VARIANCE_OUT,
        |                                                 1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:660:26:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    660 |      .              PUT_, ATTR_NAME_, NEW_ATTRNAME,
        |                          1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:669:32:

    122 |      .                DIM_SIZES, ID,
        |                      2
  ......
    669 |      .             ATTR_SCOPE_, ATTRSCOPE_OUT,
        |                                1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  qst2if.f:684:52:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    684 |         STATUS = CDF_LIB   (GET_, gENTRY_DATATYPE_, ENTRY_DATA_TYPE_OUT,
        |                                                    1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:699:50:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    699 |         STATUS = CDF_LIB   (SELECT_, CDF_STATUS_, CDF_OK,
        |                                                  1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:709:13:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    709 |      .       NEGtoPOSfp0on,
        |             1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:716:13:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    716 |      .       NEGtoPOSmode,
        |             1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:736:50:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    736 |         STATUS = CDF_LIB   (GET_, DATATYPE_SIZE_, CDF_EPOCH,
        |                                                  1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:748:20:

    121 |         STATUS = CDF_LIB    (CREATE_, CDF_, CDFNAME, NUM_DIMS,
        |                                            2
  ......
    748 |      .              NULL_, STATUS)
        |                    1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/CHARACTER(*)).
  qst2if.f:755:17:

    755 |         STATUS = CDF_LIB   (GET_, CDF_INFO_, CDFNAME, cTypeOUT,
        |                 1
  Error: Missing actual argument for argument '_formal_9' at (1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/cdf3-3.3.0_13.log

  PR:		246700

Changes:
  head/science/cdf/Makefile
Comment 38 commit-hook freebsd_committer 2020-07-04 10:46:19 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 10:46:08 UTC 2020
New revision: 541191
URL: https://svnweb.freebsd.org/changeset/ports/541191

Log:
  biology/bowtie: Unbreak build with GCC 10

  In file included from ebwt.h:43,
                   from ebwt_build.cpp:11:
  processor_support.h:52:22: error: extended character ? is not valid in an identifier
     52 |         std::cerr << ?ERROR: please define __cpuid() for this build.\n?;
        |                      ^
  processor_support.h:52:72: error: extended character ? is not valid in an identifier
     52 |         std::cerr << ?ERROR: please define __cpuid() for this build.\n?;
        |                                                                      ^

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/bowtie-1.1.2_9.log

  PR:		246700

Changes:
  head/biology/bowtie/files/patch-processor__support.h
Comment 39 commit-hook freebsd_committer 2020-07-04 11:08:25 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 11:07:57 UTC 2020
New revision: 541192
URL: https://svnweb.freebsd.org/changeset/ports/541192

Log:
  science/aircraft-datcom: Unbreak build with GCC 10

  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:185:40:

    168 |      1            TINF,RN,SRF,CBAR,BLRF,XCG,ZCG,DUM,
        |                                   2
  ......
    185 |      1  TRA(78),TRA(76),TRA(79),TRA(80),O,P,Q,R,S,T,NN,NM)
        |                                        1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:187:39:

    168 |      1            TINF,RN,SRF,CBAR,BLRF,XCG,ZCG,DUM,
        |                                   2
  ......
    187 |      1  SBD(124),SBD(123),SBD(115),ANA,O,P,Q,R,S,T,NN,NM)
        |                                       1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:302:34:

    168 |      1            TINF,RN,SRF,CBAR,BLRF,XCG,ZCG,DUM,
        |                          2
  ......
    302 |      2 FACT(143),FACT(22),WBT(46),H,H,O,P,Q,R,S,T,NN,NM)
        |                                  1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:304:57:

    167 |       CALL SWRITE(11,FOR,46,ICONT,1,FLC(I+2),ALT,VINF,PINF,
        |                                                 2
  ......
    304 |      1 CALL SWRITE(6,FOR2,26,JCON,NALPHA,FLC(23),FACT(2),ANONE,
        |                                                         1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:311:33:

    168 |      1            TINF,RN,SRF,CBAR,BLRF,XCG,ZCG,DUM,
        |                          2
  ......
    311 |      2 STP(133),SWB(40),STP(111),H,H,O,P,Q,R,S,T,NN,NM)
        |                                 1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:313:57:

    167 |       CALL SWRITE(11,FOR,46,ICONT,1,FLC(I+2),ALT,VINF,PINF,
        |                                                 2
  ......
    313 |      1 CALL SWRITE(6,FOR2,26,JCON,NALPHA,FLC(23),SWB(12),ANONE,
        |                                                         1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:336:7:

    167 |       CALL SWRITE(11,FOR,46,ICONT,1,FLC(I+2),ALT,VINF,PINF,
        |                                                      2
  ......
    336 |      1 H,O,P,Q,R,S,T,Q,R,S,T,NN,NM)
        |       1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:338:7:

    167 |       CALL SWRITE(11,FOR,46,ICONT,1,FLC(I+2),ALT,VINF,PINF,
        |                                                      2
  ......
    338 |      1 H,O,P,Q,R,S,T,Q,R,S,T,NN,NM)
        |       1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  /wrkdirs/usr/ports/science/aircraft-datcom/work/aircraft-datcom-ed877bb/src/auxout.f:348:7:

    167 |       CALL SWRITE(11,FOR,46,ICONT,1,FLC(I+2),ALT,VINF,PINF,
        |                                                      2
  ......
    348 |      1 H,O,P,Q,R,S,T,Q,R,S,T,NN,NM)
        |       1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/aircraft-datcom-0.0.20120723_5.log

  PR:		246700

Changes:
  head/science/aircraft-datcom/Makefile
Comment 40 commit-hook freebsd_committer 2020-07-04 11:11:27 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 11:10:30 UTC 2020
New revision: 541193
URL: https://svnweb.freebsd.org/changeset/ports/541193

Log:
  science/libccp4: Unbreak build with GCC 10

  fortran/pack_f.f:109:28:

     45 |       call pack_wordimage_f(data, x, y, filnarray)
        |                            2
  ......
    109 |       call pack_wordimage_f(data, x, y, filnarray)
        |                            1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/INTEGER(2)).
  fortran/pack_f.f:141:30:

     77 |       call v2pack_wordimage_f(data, x, y, filnarray)
        |                              2
  ......
    141 |       call v2pack_wordimage_f(data, x, y, filnarray)
        |                              1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/INTEGER(2)).

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/libccp4-6.5.1_4.log

  PR:		246700

Changes:
  head/science/libccp4/Makefile
Comment 41 commit-hook freebsd_committer 2020-07-04 11:22:32 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 11:22:09 UTC 2020
New revision: 541194
URL: https://svnweb.freebsd.org/changeset/ports/541194

Log:
  science/cgnslib: Unbreak build with GCC 10

  /wrkdirs/usr/ports/science/cgnslib/work/CGNS-4.1.1/src/tests/test_family_treef.F90:152:64:

    152 |       call cg_goto_f( cgfile, cgtree, ierr, "Family2", 0, 'end')
        |                                                                1
  Error: Missing actual argument for argument '_formal_14' at (1)
  /wrkdirs/usr/ports/science/cgnslib/work/CGNS-4.1.1/src/tests/test_family_treef.F90:168:43:

    168 |      &               "Family2.1", 0, 'end')
        |                                           1
  Error: Missing actual argument for argument '_formal_16' at (1)
  /wrkdirs/usr/ports/science/cgnslib/work/CGNS-4.1.1/src/tests/test_family_treef.F90:190:49:

    190 |       call cg_goto_f(cgfile, cgtree, ierr, 'end')
        |                                                 1
  Error: Missing actual argument for argument '_formal_12' at (1)
  /wrkdirs/usr/ports/science/cgnslib/work/CGNS-4.1.1/src/tests/test_family_treef.F90:196:60:

    196 |       call cg_goto_f(cgfile, cgbase, ierr, "Zone", 0, 'end')
        |                                                            1
  Error: Missing actual argument for argument '_formal_14' at (1)
  /wrkdirs/usr/ports/science/cgnslib/work/CGNS-4.1.1/src/tests/test_family_treef.F90:231:76:

    231 |       call cg_goto_f(cgfile, cgbase, ierr, "Zone", 0, "SubRegion", 0, 'end')
        |                                                                            1
  Error: Missing actual argument for argument '_formal_16' at (1)
  /wrkdirs/usr/ports/science/cgnslib/work/CGNS-4.1.1/src/tests/test_family_treef.F90:241:60:

    241 |       call cg_goto_f(cgfile, cgbase, ierr, "Zone", 0, 'end')
        |                                                            1
  Error: Missing actual argument for argument '_formal_14' at (1)
  /wrkdirs/usr/ports/science/cgnslib/work/CGNS-4.1.1/src/tests/test_family_treef.F90:246:75:

    246 |       call cg_goto_f(cgfile, cgbase, ierr, "Zone", 0, "UserData", 0, 'end')
        |                                                                           1
  Error: Missing actual argument for argument '_formal_16' at (1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/cgnslib-4.1.1,1.log

  PR:		246700

Changes:
  head/science/cgnslib/Makefile
Comment 42 commit-hook freebsd_committer 2020-07-04 11:25:34 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 11:25:10 UTC 2020
New revision: 541195
URL: https://svnweb.freebsd.org/changeset/ports/541195

Log:
  emulators/skyeye: Unbreak build with GCC 10 (-fno-common default)

  /usr/local/bin/ld: ./utils/libutils.a(skyeye_arch.o):/wrkdirs/usr/ports/emulators/skyeye/work/skyeye-1.2.5_REL/utils/config/skyeye_config.h:274: multiple definition of `skyeye_config'; skyeye.o:/wrkdirs/usr/ports/emulators/skyeye/work/skyeye-1.2.5_REL/./utils/config/skyeye_config.h:274: first defined here
  /usr/local/bin/ld: ./utils/libutils.a(skyeye_config.o):/wrkdirs/usr/ports/emulators/skyeye/work/skyeye-1.2.5_REL/utils/config/skyeye_config.h:274: multiple definition of `skyeye_config'; skyeye.o:/wrkdirs/usr/ports/emulators/skyeye/work/skyeye-1.2.5_REL/./utils/config/skyeye_config.h:274: first defined here
  /usr/local/bin/ld: ./utils/libutils.a(skyeye_options.o):/wrkdirs/usr/ports/emulators/skyeye/work/skyeye-1.2.5_REL/utils/config/skyeye_config.h:274: multiple definition of `skyeye_config'; skyeye.o:/wrkdirs/usr/ports/emulators/skyeye/work/skyeye-1.2.5_REL/./utils/config/skyeye_config.h:274: first defined here
  [...]

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/skyeye-1.2.5_7.log

  PR:		246700

Changes:
  head/emulators/skyeye/Makefile
Comment 43 commit-hook freebsd_committer 2020-07-04 11:29:38 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 11:29:28 UTC 2020
New revision: 541196
URL: https://svnweb.freebsd.org/changeset/ports/541196

Log:
  math/cmlib: Unbreak build with GCC 10

  dbocls.f:185:19:

     62 |      * 2,LMDW,MCON+MOUT, 0,RDUM,RDUM)
        |                           2
  ......
    185 |      * 1,J,IDUM, 2,BL(J),BU(J))
        |                   1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(8)/REAL(4)).
  dbocls.f:371:18:

     62 |      * 2,LMDW,MCON+MOUT, 0,RDUM,RDUM)
        |                           2
  ......
    371 |      * 1,J,IDUM,1,RW(J),RDUM)
        |                  1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(8)/REAL(4)).
  dbocls.f:423:19:

     62 |      * 2,LMDW,MCON+MOUT, 0,RDUM,RDUM)
        |                           2
  ......
    423 |      * 1,JP,IDUM,0,IDUM,IDUM)
        |                   1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/REAL(4)).

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/cmlib-3.0_8.log

  PR:		246700

Changes:
  head/math/cmlib/Makefile
Comment 44 commit-hook freebsd_committer 2020-07-04 11:51:44 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 11:51:38 UTC 2020
New revision: 541197
URL: https://svnweb.freebsd.org/changeset/ports/541197

Log:
  math/elpa: Unbreak build with GCC 10

  src/elpa2/kernels/real_template.F90:117:37:

    117 |        & (q(i,1),hh, nb, ldq, ldh, s)
        |                                     1
  Error: Type mismatch in argument 'q' at (1); passed REAL(8) to COMPLEX(8)
  src/elpa2/kernels/real_template.F90:133:37:

    133 |        & (q(i,1),hh, nb, ldq, ldh, s)
        |                                     1
  Error: Type mismatch in argument 'q' at (1); passed REAL(8) to COMPLEX(8)
  src/elpa2/kernels/real_template.F90:145:37:

    145 |        & (q(i,1),hh, nb, ldq, ldh, s)
        |                                     1
  Error: Type mismatch in argument 'q' at (1); passed REAL(8) to COMPLEX(8)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/elpa-2019.05.002_2.log

  PR:		246700

Changes:
  head/math/elpa/Makefile
Comment 45 commit-hook freebsd_committer 2020-07-04 11:59:48 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 11:59:43 UTC 2020
New revision: 541200
URL: https://svnweb.freebsd.org/changeset/ports/541200

Log:
  misc/libemos: Unbreak build with GCC 10

  /wrkdirs/usr/ports/misc/libemos/work/libemos-4.5.9-Source/interpolation/hntfaps.F:222:65:

    183 |           CALL INTLOG(JP_DEBUG,'HNTFAPS: Use missing value',JPQUIET)
        |                                                            2
  ......
    222 |           CALL INTLOG(JP_ERROR,'HNTFAPS: memory allocation fail',IDWORK)
        |                                                                 1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(8)/INTEGER(4)).
  /wrkdirs/usr/ports/misc/libemos/work/libemos-4.5.9-Source/interpolation/hntfaps.F:232:65:

    183 |           CALL INTLOG(JP_DEBUG,'HNTFAPS: Use missing value',JPQUIET)
        |                                                            2
  ......
    232 |           CALL INTLOG(JP_ERROR,'HNTFAPS: memory allocation fail',IDATA)
        |                                                                 1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(8)/INTEGER(4)).

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/libemos-4.5.9_3.log

  PR:		246700

Changes:
  head/misc/libemos/Makefile
Comment 46 commit-hook freebsd_committer 2020-07-04 12:05:50 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 12:04:51 UTC 2020
New revision: 541202
URL: https://svnweb.freebsd.org/changeset/ports/541202

Log:
  math/slatec: Unbreak build with GCC 10

  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  cpzero.f:90:43:

     76 |       CALL CPEVL(N,N,A,TEMP,T,T,.FALSE.)
        |                            2
  ......
     90 |          CALL CPEVL(N,0,T(N1),CMPLX(X,0.0),PN,PN,.FALSE.)
        |                                           1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)
  cpzero.f:105:37:

     76 |       CALL CPEVL(N,N,A,TEMP,T,T,.FALSE.)
        |                            2
  ......
    105 |                CALL CPEVL(N,0,A,R(I),PN,TEMP,.TRUE.)
        |                                     1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (rank-1 and scalar)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/slatec-4.1_12.log

  PR:		246700

Changes:
  head/math/slatec/Makefile
Comment 47 commit-hook freebsd_committer 2020-07-04 12:16:53 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 12:15:59 UTC 2020
New revision: 541204
URL: https://svnweb.freebsd.org/changeset/ports/541204

Log:
  biology/psi88: Unbreak build with GCC 10

  ctplot.f:69:29:

     69 |       CALL SYMBOL (XA,YA,.15,STRING,ANGLE,K)
        |                             1
  Error: Rank mismatch in argument 'string' at (1) (scalar and rank-1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/psi88-1.0_16.log

  PR:		246700

Changes:
  head/biology/psi88/Makefile
Comment 48 commit-hook freebsd_committer 2020-07-04 12:19:56 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 12:19:38 UTC 2020
New revision: 541205
URL: https://svnweb.freebsd.org/changeset/ports/541205

Log:
  science/xtb: Unbreak build with GCC 10

  /wrkdirs/usr/ports/science/xtb/work/xtb-6.3.0/src/prog/main.F90:626:39:

    626 |          call relaxed_scan(env,mol,wfn,calc)
        |                                       1
  Error: Explicit interface required for polymorphic argument at (1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xtb-6.3.0.log

  PR:		246700

Changes:
  head/science/xtb/Makefile
Comment 49 commit-hook freebsd_committer 2020-07-04 12:25:59 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 12:25:11 UTC 2020
New revision: 541206
URL: https://svnweb.freebsd.org/changeset/ports/541206

Log:
  graphics/xd3d: Unbreak build with GCC 10

  gspopup.f:324:23:

    324 |       call x11facette2(ixzone,iyzone,ilar,ihau)
        |                       1
  ......
    596 |         call x11facette2(ixbrow,iybrow,ilarbrow,ihaubrow)
        |                         2
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  gspopup.f:187:45:

    187 |      &                ,chainesav,longq,longc,lfichiers,idir,inum,0
        |                                             1
  Error: Rank mismatch in argument 'lfichiers' at (1) (rank-1 and scalar)
  gspopup.f:306:45:

    306 |      &                ,chainesav,longq,longc,lfichiers,idir,inum,0
        |                                             1
  Error: Rank mismatch in argument 'lfichiers' at (1) (rank-1 and scalar)
  gspopup.f:561:61:

    561 |      &                  ,fichiers,longq,longc,lfichiers,idir,inum
        |                                                             1
  Error: Rank mismatch in argument 'inum' at (1) (rank-1 and scalar)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xd3d-8.3.1_18.log

  PR:		246700

Changes:
  head/graphics/xd3d/Makefile
Comment 50 Gerald Pfeifer freebsd_committer 2020-07-04 12:27:20 UTC
Thanks a lot for fixing all those old/broken ports, Tobias!

I dug a bit into the gfortran documentation, and believe 
-fallow-argument-mismatch should be sufficient to disable that error.

This is implied by -std=legacy, which however is a broader brush and
also has other effects.
Comment 51 commit-hook freebsd_committer 2020-07-04 12:34:02 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  4 12:33:32 UTC 2020
New revision: 541207
URL: https://svnweb.freebsd.org/changeset/ports/541207

Log:
  math/lapack, math/xlapack: Unbreak build with GCC 10

  sorcsd2by1.f:389:40:

    366 |      $                   0, U1, LDU1, U2, LDU2, V1T, LDV1T, 0, 1, 0, 0,
        |                                      2
  ......
    389 |      $                   0, V1T, LDV1T, 0, 1, U1, LDU1, U2, LDU2, 0, 0,
        |                                        1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/REAL(4)).
  sorcsd2by1.f:412:35:

    366 |      $                   0, U1, LDU1, U2, LDU2, V1T, LDV1T, 0, 1, 0, 0,
        |                            2
  ......
    412 |      $                   THETA, 0, 0, 1, V1T, LDV1T, U2, LDU2, U1, LDU1,
        |                                   1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/REAL(4)).
  sorcsd2by1.f:436:55:

    366 |      $                   0, U1, LDU1, U2, LDU2, V1T, LDV1T, 0, 1, 0, 0,
        |                                                2
  ......
    436 |      $                   THETA, 0, U2, LDU2, U1, LDU1, 0, 1, V1T, LDV1T,
        |                                                       1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/REAL(4)).
  sorcsd2by1.f:473:23:

    347 |             CALL SORBDB1( M, P, Q, X11, LDX11, X21, LDX21, THETA, 0, 0,
        |                                                                  2
  ......
    473 |      $                 WORK(IPHI), WORK(ITAUP1), WORK(ITAUP2),
        |                       1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:480:44:

    351 |                CALL SORGQR( P, P, Q, U1, LDU1, 0, WORK(1), -1,
        |                                               2
  ......
    480 |             CALL SORGQR( P, P, Q, U1, LDU1, WORK(ITAUP1), WORK(IORGQR),
        |                                            1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:485:48:

    351 |                CALL SORGQR( P, P, Q, U1, LDU1, 0, WORK(1), -1,
        |                                               2
  ......
    485 |             CALL SORGQR( M-P, M-P, Q, U2, LDU2, WORK(ITAUP2),
        |                                                1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:496:57:

    362 |      $                   0, WORK(1), -1, CHILDINFO )
        |                         2
  ......
    496 |             CALL SORGLQ( Q-1, Q-1, Q-1, V1T(2,2), LDV1T, WORK(ITAUQ1),
        |                                                         1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:503:22:

    366 |      $                   0, U1, LDU1, U2, LDU2, V1T, LDV1T, 0, 1, 0, 0,
        |                         2
  ......
    503 |      $                WORK(IPHI), U1, LDU1, U2, LDU2, V1T, LDV1T, 0, 1,
        |                      1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:528:23:

    370 |             CALL SORBDB2( M, P, Q, X11, LDX11, X21, LDX21, THETA, 0, 0,
        |                                                                  2
  ......
    528 |      $                 WORK(IPHI), WORK(ITAUP1), WORK(ITAUP2),
        |                       1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:540:55:

    351 |                CALL SORGQR( P, P, Q, U1, LDU1, 0, WORK(1), -1,
        |                                               2
  ......
    540 |             CALL SORGQR( P-1, P-1, P-1, U1(2,2), LDU1, WORK(ITAUP1),
        |                                                       1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:545:48:

    351 |                CALL SORGQR( P, P, Q, U1, LDU1, 0, WORK(1), -1,
        |                                               2
  ......
    545 |             CALL SORGQR( M-P, M-P, Q, U2, LDU2, WORK(ITAUP2),
        |                                                1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:550:46:

    362 |      $                   0, WORK(1), -1, CHILDINFO )
        |                         2
  ......
    550 |             CALL SORGLQ( Q, Q, R, V1T, LDV1T, WORK(ITAUQ1),
        |                                              1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:557:22:

    366 |      $                   0, U1, LDU1, U2, LDU2, V1T, LDV1T, 0, 1, 0, 0,
        |                         2
  ......
    557 |      $                WORK(IPHI), V1T, LDV1T, 0, 1, U1, LDU1, U2, LDU2,
        |                      1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:582:23:

    393 |             CALL SORBDB3( M, P, Q, X11, LDX11, X21, LDX21, THETA, 0, 0,
        |                                                                  2
  ......
    582 |      $                 WORK(IPHI), WORK(ITAUP1), WORK(ITAUP2),
        |                       1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:589:44:

    351 |                CALL SORGQR( P, P, Q, U1, LDU1, 0, WORK(1), -1,
        |                                               2
  ......
    589 |             CALL SORGQR( P, P, Q, U1, LDU1, WORK(ITAUP1), WORK(IORGQR),
        |                                            1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:601:25:

    351 |                CALL SORGQR( P, P, Q, U1, LDU1, 0, WORK(1), -1,
        |                                               2
  ......
    601 |      $                   WORK(ITAUP2), WORK(IORGQR), LORGQR, CHILDINFO )
        |                         1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:605:46:

    362 |      $                   0, WORK(1), -1, CHILDINFO )
        |                         2
  ......
    605 |             CALL SORGLQ( Q, Q, R, V1T, LDV1T, WORK(ITAUQ1),
        |                                              1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:612:29:

    366 |      $                   0, U1, LDU1, U2, LDU2, V1T, LDV1T, 0, 1, 0, 0,
        |                         2
  ......
    612 |      $                THETA, WORK(IPHI), 0, 1, V1T, LDV1T, U2, LDU2, U1,
        |                             1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:642:23:

    417 |             CALL SORBDB4( M, P, Q, X11, LDX11, X21, LDX21, THETA, 0, 0,
        |                                                                  2
  ......
    642 |      $                 WORK(IPHI), WORK(ITAUP1), WORK(ITAUP2),
        |                       1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:655:46:

    351 |                CALL SORGQR( P, P, Q, U1, LDU1, 0, WORK(1), -1,
        |                                               2
  ......
    655 |             CALL SORGQR( P, P, M-Q, U1, LDU1, WORK(ITAUP1),
        |                                              1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:665:50:

    351 |                CALL SORGQR( P, P, Q, U1, LDU1, 0, WORK(1), -1,
        |                                               2
  ......
    665 |             CALL SORGQR( M-P, M-P, M-Q, U2, LDU2, WORK(ITAUP2),
        |                                                  1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:674:46:

    362 |      $                   0, WORK(1), -1, CHILDINFO )
        |                         2
  ......
    674 |             CALL SORGLQ( Q, Q, Q, V1T, LDV1T, WORK(ITAUQ1),
        |                                              1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).
  sorcsd2by1.f:681:29:

    366 |      $                   0, U1, LDU1, U2, LDU2, V1T, LDV1T, 0, 1, 0, 0,
        |                         2
  ......
    681 |      $                THETA, WORK(IPHI), U2, LDU2, U1, LDU1, 0, 1, V1T,
        |                             1
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/INTEGER(4)).

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/lapack-3.5.0_8.log
  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/xlapack-3.5.0_6.log

  PR:		246700

Changes:
  head/math/lapack/Makefile
Comment 52 Tobias Kortkamp freebsd_committer 2020-07-04 12:44:58 UTC
(In reply to Gerald Pfeifer from comment #50)
Like -fallow-invalid-boz, -fallow-argument-mismatch is not recognized
by earlier gfortran versions:

$ gfortran9 -fallow-argument-mismatch
gfortran9: error: unrecognized command line option '-fallow-argument-mismatch'; did you mean '-Wno-argument-mismatch'?

However we could try -Wno-argument-mismatch but then there is no
guarantee that it won't bomb out on another error (I have a "fix
it in 10 minutes or leave it alone" rule for doing these).
Comment 53 Gerald Pfeifer freebsd_committer 2020-07-04 13:40:17 UTC
(In reply to Tobias Kortkamp from comment #52)
> Like -fallow-invalid-boz, -fallow-argument-mismatch is not recognized
> by earlier gfortran versions:

Ah, that's a killer, for (i) the default right now still is GCC 9 which
we should not break, (ii) users can adjust the default, and (iii) some
ports can use a different, older default.

Plus this may make the update from GCC 10 to 11 a year from now easier,
in case the Fortran front end adds other changes similar to this one.

-std=legacy it is (for those cases), agreed.
Comment 54 Thierry Thomas freebsd_committer 2020-07-04 14:21:39 UTC
Anyway, it seems that this hides real errors - or at least strong warnings - which should be notified upstream (when the apps are still maintained).
Comment 55 commit-hook freebsd_committer 2020-07-05 09:33:43 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul  5 09:33:23 UTC 2020
New revision: 541268
URL: https://svnweb.freebsd.org/changeset/ports/541268

Log:
  math/algae: Unbreak build with GCC 10

  dgetv0.f:404:32:

    367 |           call dvout (logfil, 1, rnorm0, ndigit,
        |                                 2
  ......
    404 |          call dvout (logfil, n, resid, ndigit,
        |                                1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/algae-4.3.6_18.log

  PR:		246700

Changes:
  head/math/algae/Makefile
Comment 56 commit-hook freebsd_committer 2020-07-05 09:46:46 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul  5 09:46:38 UTC 2020
New revision: 541271
URL: https://svnweb.freebsd.org/changeset/ports/541271

Log:
  net/l2tpd: Unbreak build with GCC 10 (-fno-common default)

  /usr/local/bin/ld: pty.o:(.bss+0x0): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: misc.o:(.bss+0x0): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: control.o:(.bss+0x0): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: avp.o:(.bss+0x0): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: call.o:(.bss+0x0): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: network.o:(.bss+0x140): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: avpsend.o:(.bss+0x0): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: scheduler.o:(.bss+0x8): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: file.o:(.bss+0x228): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: aaa.o:(.bss+0x0): multiple definition of `rand_source'; l2tpd.o:(.bss+0x530): first defined here
  /usr/local/bin/ld: control.o: in function `handle_special':
  control.c:(.text+0x220e): undefined reference to `check_control'
  /usr/local/bin/ld: control.o: in function `handle_packet':
  control.c:(.text+0x22d0): undefined reference to `check_payload'
  /usr/local/bin/ld: control.c:(.text+0x22e6): undefined reference to `expand_payload'
  /usr/local/bin/ld: control.c:(.text+0x231a): undefined reference to `check_control'
  /usr/local/bin/ld: control.c:(.text+0x2414): undefined reference to `write_packet'

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/l2tpd-0.69_10.log

  PR:		246700

Changes:
  head/net/l2tpd/Makefile
  head/net/l2tpd/files/patch-control.c
Comment 57 Gerald Pfeifer freebsd_committer 2020-07-05 09:49:21 UTC
(In reply to Tobias Kortkamp from comment #28)
> What is the right idiom to check the GCC version in ports?  Is this ok?
>
> .if ${FORTRAN_DEFAULT} == gfortran && ${GCC_DEFAULT} >= 10
> FFLAGS+=	-fallow-invalid-boz
> .endif

Sorry, this slipped through somehow. 

Yes, Mk/Uses/fortran.mk currently uses GCC_DEFAULT. (This is a bit tricky,
and originally USE_FORTRAN was handled as part of Mk/bsd.gcc.mk, but the
snippet above is the best I can think of.)
Comment 58 commit-hook freebsd_committer 2020-07-05 11:02:57 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul  5 11:02:17 UTC 2020
New revision: 541273
URL: https://svnweb.freebsd.org/changeset/ports/541273

Log:
  science/py-scipy: Unbreak build with GCC 10

  scipy/sparse/linalg/eigen/arpack/ARPACK/SRC/cnaitr.f:666:35:

    383 |             call svout (logfil, 1, rnorm, ndigit,
        |                                   2
  ......
    666 |             call svout (logfil, 2, rtemp, ndigit,
        |                                   1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  scipy/sparse/linalg/eigen/arpack/ARPACK/SRC/cnaitr.f:737:39:

    383 |             call svout (logfil, 1, rnorm, ndigit,
        |                                   2
  ......
    737 |                 call svout (logfil, 2, rtemp, ndigit,
        |                                       1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  gfortran10:f77: scipy/sparse/linalg/eigen/arpack/ARPACK/SRC/dsesrt.f
  scipy/sparse/linalg/eigen/arpack/ARPACK/SRC/dsaitr.f:671:35:

    369 |             call dvout (logfil, 1, rnorm, ndigit,
        |                                   2
  ......
    671 |             call dvout (logfil, 2, xtemp, ndigit,
        |                                   1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)
  scipy/sparse/linalg/eigen/arpack/ARPACK/SRC/dsaitr.f:743:39:

    369 |             call dvout (logfil, 1, rnorm, ndigit,
        |                                   2
  ......
    743 |                 call dvout (logfil, 2, xtemp, ndigit,
        |                                       1
  Error: Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/py27-scipy-1.2.2_1.log
  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/py37-scipy-1.2.2_1.log

  A better fix would be to update this port to >= 1.5.1 which should
  support GCC 10 out of the box and would allow -std=legacy to be
  removed again.

  PR:		246700

Changes:
  head/science/py-scipy/Makefile
Comment 59 commit-hook freebsd_committer 2020-07-05 14:55:33 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul  5 14:55:08 UTC 2020
New revision: 541283
URL: https://svnweb.freebsd.org/changeset/ports/541283

Log:
  net/mpich: Unbreak build with GCC 10

  checking whether gfortran10 allows mismatched arguments... no
  configure: error: The Fortran compiler gfortran10 will not compile files that call
  the same routine with arguments of different types.

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/mpich-3.2.1_6.log

  PR:		246700

Changes:
  head/net/mpich/files/patch-configure
  head/net/mpich/files/patch-test_mpi_configure
Comment 60 commit-hook freebsd_committer 2020-07-05 15:02:37 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul  5 15:02:18 UTC 2020
New revision: 541285
URL: https://svnweb.freebsd.org/changeset/ports/541285

Log:
  net/mpich2: Unbreak build with GCC 10

  checking whether gfortran10 allows mismatched arguments... no
  configure: error: The Fortran compiler gfortran10 will not compile files that call
  the same routine with arguments of different types.

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/mpich2-1.5_14,5.log

  PR:		246700

Changes:
  head/net/mpich2/files/patch-configure
  head/net/mpich2/files/patch-test_mpi_configure
Comment 61 commit-hook freebsd_committer 2020-07-26 17:59:54 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul 26 17:58:55 UTC 2020
New revision: 543488
URL: https://svnweb.freebsd.org/changeset/ports/543488

Log:
  science/netcdf-fortran: Unbreak build with GCC 10

  netcdf4_func.f90:730:75:

    730 |     nf90_inq_var_fill_FourByteReal = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                           1
  ......
    740 |     nf90_inq_var_fill_EightByteReal = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/REAL(8)).
  netcdf4_func.f90:720:75:

    720 |     nf90_inq_var_fill_EightByteInt = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                           1
  ......
    740 |     nf90_inq_var_fill_EightByteReal = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(8)/REAL(8)).
  netcdf4_func.f90:710:74:

    710 |     nf90_inq_var_fill_FourByteInt = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                          1
  ......
    740 |     nf90_inq_var_fill_EightByteReal = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/REAL(8)).
  netcdf4_func.f90:700:73:

    700 |     nf90_inq_var_fill_TwoByteInt = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                         1
  ......
    740 |     nf90_inq_var_fill_EightByteReal = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(2)/REAL(8)).
  netcdf4_func.f90:690:73:

    690 |     nf90_inq_var_fill_OneByteInt = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                         1
  ......
    740 |     nf90_inq_var_fill_EightByteReal = nf_inq_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(1)/REAL(8)).
  netcdf4_func.f90:670:75:

    670 |     nf90_def_var_fill_FourByteReal = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                           1
  ......
    680 |     nf90_def_var_fill_EightByteReal = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (REAL(4)/REAL(8)).
  netcdf4_func.f90:660:75:

    660 |     nf90_def_var_fill_EightByteInt = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                           1
  ......
    680 |     nf90_def_var_fill_EightByteReal = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(8)/REAL(8)).
  netcdf4_func.f90:650:74:

    650 |     nf90_def_var_fill_FourByteInt = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                          1
  ......
    680 |     nf90_def_var_fill_EightByteReal = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/REAL(8)).
  netcdf4_func.f90:640:73:

    640 |     nf90_def_var_fill_TwoByteInt = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                         1
  ......
    680 |     nf90_def_var_fill_EightByteReal = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(2)/REAL(8)).
  netcdf4_func.f90:630:73:

    630 |     nf90_def_var_fill_OneByteInt = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                         1
  ......
    680 |     nf90_def_var_fill_EightByteReal = nf_def_var_fill(ncid, varid, no_fill, fill)
        |                                                                            2
  Error: Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(1)/REAL(8)).

  PR:		246700

Changes:
  head/science/netcdf-fortran/Makefile
Comment 62 commit-hook freebsd_committer 2020-07-26 18:19:01 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul 26 18:18:48 UTC 2020
New revision: 543489
URL: https://svnweb.freebsd.org/changeset/ports/543489

Log:
  www/kannel: Unbreak build with GCC 10 (-fno-common default)

  /usr/local/bin/ld: libwap.a(wtp_resp.o):(.bss+0x8): multiple definition of `dispatch_to_wsp'; libgw.a(wap_push_ota.o):(.bss+0x8): first defined here

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/kannel-1.4.4_9,1.log

  PR:		246700

Changes:
  head/www/kannel/Makefile
Comment 63 commit-hook freebsd_committer 2020-07-26 18:29:05 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul 26 18:28:31 UTC 2020
New revision: 543490
URL: https://svnweb.freebsd.org/changeset/ports/543490

Log:
  net/mediatomb: Unbreak build with GCC 10 (-fno-common default)

  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-gena_device.o):(.bss+0x20): multiple definition of `gUserHTTPHeaders'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xc80): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-gena_device.o):(.bss+0x0): multiple definition of `gMaxHTTPTimeoutRetries'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xc70): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-gena_device.o):(.bss+0x4): multiple definition of `gUpnpSdkShutdown'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xc74): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-gena_device.o):(.bss+0x40): multiple definition of `pUserHTTPHeaderList'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xca0): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-gena_device.o):(.bss+0x48): multiple definition of `pVirtualDirList'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xca8): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-miniserver.o):(.bss+0x4): multiple definition of `gMaxHTTPTimeoutRetries'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xc70): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-miniserver.o):(.bss+0x8): multiple definition of `gUpnpSdkShutdown'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xc74): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-miniserver.o):(.bss+0x20): multiple definition of `gUserHTTPHeaders'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xc80): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-miniserver.o):(.bss+0x40): multiple definition of `pUserHTTPHeaderList'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xca0): first defined here
  /usr/local/bin/ld: ../tombupnp/build/libtombupnp.a(libtombupnp_a-miniserver.o):(.bss+0x48): multiple definition of `pVirtualDirList'; ../tombupnp/build/libtombupnp.a(libtombupnp_a-upnpapi.o):(.bss+0xca8): first defined here

  http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-06-10_18h05m01s/logs/errors/mediatomb-0.12.1_26.log

  PR:		246700

Changes:
  head/net/mediatomb/Makefile
Comment 64 commit-hook freebsd_committer 2020-07-26 20:16:28 UTC
A commit references this bug:

Author: tobik
Date: Sun Jul 26 20:16:11 UTC 2020
New revision: 543495
URL: https://svnweb.freebsd.org/changeset/ports/543495

Log:
  cad/alliance: Unbreak build with GCC 10 (-fno-common default)

  /usr/local/bin/ld: /wrkdirs/usr/ports/cad/alliance/work/alliance/src/pat/src/.libs/libPat.a(pat_desc_y.o):(.bss+0x24): multiple definition of `pat_decl_y_errflag'; /wrkdirs/usr/ports/cad/alliance/work/alliance/src/pat/src/.libs/libPat.a(pat_decl_y.o):(.bss+0x20): first defined here
  /usr/local/bin/ld: /wrkdirs/usr/ports/cad/alliance/work/alliance/src/pat/src/.libs/libPat.a(pat_desc_y.o):(.bss+0x10): multiple definition of `pat_decl_y_val'; /wrkdirs/usr/ports/cad/alliance/work/alliance/src/pat/src/.libs/libPat.a(pat_decl_y.o):(.bss+0x10): first defined here
  /usr/local/bin/ld: /wrkdirs/usr/ports/cad/alliance/work/alliance/src/pat/src/.libs/libPat.a(pat_desc_y.o):(.bss+0x0): multiple definition of `pat_decl_y_lval'; /wrkdirs/usr/ports/cad/alliance/work/alliance/src/pat/src/.libs/libPat.a(pat_decl_y.o):(.bss+0x0): first defined here
  /usr/local/bin/ld: /wrkdirs/usr/ports/cad/alliance/work/alliance/src/pat/src/.libs/libPat.a(pat_desc_y.o):(.bss+0x2c): multiple definition of `pat_decl_y_debug'; /wrkdirs/usr/ports/cad/alliance/work/alliance/src/pat/src/.libs/libPat.a(pat_decl_y.o):(.bss+0x24): first defined here

  http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/alliance-5.1.1_1.log

  Also USES=compiler:c++0x & USE_GCC=any can be reduced to USE_GCC=yes

  PR:		246700

Changes:
  head/cad/alliance/Makefile
  head/cad/alliance/files/patch-nero_src_MDRGrid.cpp
Comment 65 commit-hook freebsd_committer 2020-08-01 05:52:21 UTC
A commit references this bug:

Author: gerald
Date: Sat Aug  1 05:52:18 UTC 2020
New revision: 543890
URL: https://svnweb.freebsd.org/changeset/ports/543890

Log:
  Update to GCC 10.2 release, which is the second in the GCC 10 series and
  fixes some 94 bugs.

  PR:		246700

Changes:
  head/lang/gcc10/Makefile
  head/lang/gcc10/distinfo
Comment 66 Tobias Kortkamp freebsd_committer 2020-08-01 11:10:25 UTC
Since Gerald asked, these are the packages that AFAICT still need to be fixed
before another exp-run:

ccache-problems-with-std-legacy/wsjtx-2.1.2_1.log
hdf-4.2.11_8,1.log
mlton-20100608_8.log
molden-5.8.2_3,1.log
mumps4-4.10.0_3.log
ncbi-blast+-2.10.0_1.log
openmpi-4.0.3.log
openmpi3-3.1.6.log
openmsx-0.15.0_2.log
py27-open3d-python-0.2_4.log
py37-open3d-python-0.2_4.log
std-legacy-ok-but-tests-fail/gotoblas-2.1.13.3.4.0_16.log
Comment 67 Mark Linimon freebsd_committer freebsd_triage 2020-10-12 19:23:46 UTC
Here is the list that I show that have not been updated (at least per this PR).

This is a small enough list that IMHO we could easily just commit, and perhaps either restrict the GCC version in them or mark them BROKEN.

But I would like to request one more exp-run before I take that action.

R-cran-mvtnorm-0.9.96_20.log
beatslash-lv2-1.0.6_1.log
drumgizmo-0.9.18.1.log
electricsheep-2.7_6,1.log
gotoblas-2.1.13.3.4.0_16.log
guitarix-lv2-0.40.0.log
hdf-4.2.11_8,1.log
libinstpatch-1.1.5.log
meek-0.35.0.log
mlton-20100608_8.log
molden-5.8.2_3,1.log
mumps4-4.10.0_3.log
ncbi-blast+-2.10.0_1.log
ncbi-cxx-toolkit-21.0.0_2.log
openmpi-4.0.3.log
openmpi3-3.1.6.log
openmsx-0.15.0_2.log
py27-biopython-1.77.log
py37-open3d-python-0.2_4.log
rocksdb-lite-6.10.1_1.log
srain-1.1.0.log
tamgamp-lv2-g20200514.log
tigcc-0.96.b8_10.log
valgrind-3.10.1.20160113_8,1.log
valgrind-devel-3.10.1.20160113_7,1.log
waybar-0.9.2_1.log
wsjtx-2.1.2_1.log
xlapack-3.5.0_6.log
xorp-1.8.5_14.log
Comment 68 Piotr Kubaj freebsd_committer 2020-10-12 20:51:56 UTC
(In reply to Mark Linimon from comment #67)
I disagree about openmpi. If there are any HPC users out there with FreeBSD (I think jwb@ is one of them), they are likely to use openmpi. Breaking openmpi is the best use to scare away any HPC activity on FreeBSD.
Comment 69 Jan Beich freebsd_committer 2020-10-12 21:56:54 UTC
(In reply to Mark Linimon from comment #67)
> waybar-0.9.2_1.log

Can I get the error log? x11/waybar doesn't use GCC directly but defines USES=compiler:c++17-lang, and Clang 11 defaulting to -fno-common didn't trigger bustage.

http://beefy18.nyi.freebsd.org/data/latest-per-pkg/waybar/0.9.4_1/head-amd64-default.log
Comment 70 Mark Linimon freebsd_committer freebsd_triage 2020-10-12 22:15:37 UTC
(In reply to Jan Beich from comment #69)
> Can I get the error log?

http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-06-10_18h04m44s/logs/errors/waybar-0.9.2_1.log
Comment 71 Piotr Kubaj freebsd_committer 2020-10-13 15:39:50 UTC
(In reply to Mark Linimon from comment #70)
It was fixed in https://svnweb.freebsd.org/ports?view=revision&revision=538557

This is completely unrelated to GCC10.
Comment 72 Mark Linimon freebsd_committer freebsd_triage 2020-10-13 16:39:41 UTC
(In reply to Piotr Kubaj from comment #71)
> [waybar] is completely unrelated to GCC10.

ok.
Comment 73 Mark Linimon freebsd_committer freebsd_triage 2020-10-13 16:42:21 UTC
(In reply to Mark Linimon from comment #67)
> This is a small enough list that IMHO we could easily just commit, and perhaps either restrict the GCC version in them or mark them BROKEN.

Right now there is no way to restrict the GCC version if you have USES=fortran.  If we want that, we need to write some code.  From Mk/Uses/fortran.mk:

  .elif ${fortran_ARGS} == gfortran
  _GCC_VER=       ${GCC_DEFAULT:S/.//}
Comment 74 Mark Linimon freebsd_committer freebsd_triage 2020-10-14 19:24:27 UTC
(In reply to Mark Linimon from comment #67)

> valgrind-3.10.1.20160113_8,1.log
> valgrind-devel-3.10.1.20160113_7,1.log

In my local testing, neither of these depend on gcc from ports.  So, these are also false positives.
Comment 75 Mark Linimon freebsd_committer freebsd_triage 2020-10-14 20:57:11 UTC
I have done further analysis.

All of the ports listed except for two are either a) not relevant, or b) leaf ports.

Two depend on openmpi3.  I have asked their maintainers if they can be updated to openmpi (now 4 by default).

A number of others depend on openmpi.  Note that gcc10 has had one minor update since the last -exp run, and openmpi has had two, so it is definitely time to try the -exp again.
Comment 76 Antoine Brodin freebsd_committer 2020-10-16 09:02:39 UTC
New failure logs on 12.1 i386:

http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/lsp-plugins-lv2-1.1.26_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/molden-5.8.2_3,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/ncbi-blast+-2.10.0_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/CalculiX-ccx-2.17_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/wsjtx-2.1.2_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/mariadb105-client-10.5.5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/postgresql-repmgr-5.1.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/blacs-1.7_37.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/hs-penrose-0.1.737_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/Ipopt-3.12.13_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/mumps-edf-5.1.2.a6_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/mumps4-4.10.0_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/octave-forge-optiminterp-0.3.6.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/scalapack-2.1.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/scilab-6.1.0_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/sdpa-7.3.8_9.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/iaxmodem-1.2.0_10.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/openmpi-4.0.5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/openmpi3-3.1.6.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/BerkeleyGW-2.0.0_5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/cp2k-7.1.0.20200518.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/dalton-2018.2_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/elk-chemistry-6.8.4.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/getdp-3.3.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/hdf-4.2.15_1,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/libgridxc-0.8.5_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/mbdyn-1.7.3_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/mdynamix-5.2.8_4.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/octopus-10.1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/quantum-espresso-6.5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-15_17h19m43s/logs/errors/siesta-4.0.2_3.log
Comment 77 Antoine Brodin freebsd_committer 2020-10-16 09:05:14 UTC
New failure logs on 12.1 amd64:

http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/molden-5.8.2_3,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/ncbi-blast+-2.10.0_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/CalculiX-ccx-2.17_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/wsjtx-2.1.2_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/libretro-paralleln64-0.20200614.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/blacs-1.7_37.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/gotoblas-2.1.13.3.4.0_16.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/hs-penrose-0.1.737_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/Ipopt-3.12.13_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/mumps-edf-5.1.2.a6_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/mumps4-4.10.0_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/octave-forge-optiminterp-0.3.6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/scalapack-2.1.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/scilab-6.1.0_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/sdpa-7.3.8_9.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/openmpi-4.0.5.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/openmpi3-3.1.6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/cp2k-7.1.0.20200518.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/dalton-2018.2_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/elk-chemistry-6.8.4.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/getdp-3.3.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/hdf-4.2.15_1,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/libgridxc-0.8.5_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/mbdyn-1.7.3_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/mdynamix-5.2.8_4.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/octopus-10.1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/quantum-espresso-6.5.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_07h12m06s/logs/errors/siesta-4.0.2_3.log
Comment 78 Piotr Kubaj freebsd_committer 2020-10-16 09:31:24 UTC
Could the exp-run be done with lang/gcc10-devel? https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=957565 seems to point out that the openmpi issue may have been fixed recently, it might also fix other build problems.

This will let us switch once 10.3.0 is out, or just backport the necessary patch.
Comment 79 Antoine Brodin freebsd_committer 2020-10-16 18:57:57 UTC
New failures on 12.1 i386 after last net/openmpi* changes:


http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/lsp-plugins-lv2-1.1.26_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/molden-5.8.2_3,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/ncbi-blast+-2.10.0_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/CalculiX-ccx-2.17_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/wsjtx-2.1.2_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/mariadb105-client-10.5.5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/postgresql-repmgr-5.1.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/blacs-1.7_37.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/dbcsr-2.0.1_4.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/hs-penrose-0.1.737_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/Ipopt-3.12.13_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/mumps-edf-5.1.2.a6_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/mumps4-4.10.0_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/octave-forge-optiminterp-0.3.6.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/scalapack-2.1.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/scilab-6.1.0_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/sdpa-7.3.8_9.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/iaxmodem-1.2.0_10.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/BerkeleyGW-2.0.0_5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/cp2k-7.1.0.20200518.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/dalton-2018.2_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/dlpolyclassic-1.8_19.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/elk-chemistry-6.8.4.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/elmerfem-8.4.20200708.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/getdp-3.3.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/hdf-4.2.15_1,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/latte-1.2.2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/libgridxc-0.8.5_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/mbdyn-1.7.3_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/mdynamix-5.2.8_4.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/octopus-10.1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/pnetcdf-1.8.1_10.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/quantum-espresso-6.5.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-10-16_12h10m17s/logs/errors/siesta-4.0.2_3.log
Comment 80 Antoine Brodin freebsd_committer 2020-10-16 19:13:15 UTC
New failures on 12.1 amd64 after last net/openmpi* changes:

http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/molden-5.8.2_3,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/ncbi-blast+-2.10.0_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/CalculiX-ccx-2.17_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/wsjtx-2.1.2_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/libretro-paralleln64-0.20200614.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/blacs-1.7_37.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/dbcsr-2.0.1_4.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/gotoblas-2.1.13.3.4.0_16.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/hs-penrose-0.1.737_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/Ipopt-3.12.13_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/mumps-edf-5.1.2.a6_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/mumps4-4.10.0_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/octave-forge-optiminterp-0.3.6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/scalapack-2.1.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/scilab-6.1.0_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/sdpa-7.3.8_9.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/cp2k-7.1.0.20200518.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/dalton-2018.2_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/dlpolyclassic-1.8_19.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/elk-chemistry-6.8.4.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/elmerfem-8.4.20200708.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/getdp-3.3.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/hdf-4.2.15_1,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/latte-1.2.2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/libgridxc-0.8.5_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/mbdyn-1.7.3_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/mdynamix-5.2.8_4.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/octopus-10.1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/pnetcdf-1.8.1_10.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/quantum-espresso-6.5.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-10-16_12h10m01s/logs/errors/siesta-4.0.2_3.log
Comment 81 Mark Linimon freebsd_committer freebsd_triage 2020-10-16 19:32:13 UTC
I believe both openmpi ports have now been fixed (as committed).
Comment 82 Mark Linimon freebsd_committer freebsd_triage 2020-10-16 19:32:50 UTC
I believe only the following ports on amd64 are the only remaining true regressions of this -exp run:

biology/molden
biology/ncbi-blast+
cad/calculix-ccx
comms/wsjtx
math/blacs
math/gotoblas
math/hs-penrose
math/ipopt
math/mumps
math/mumps4
math/octave-forge-optiminterp
math/scalapack
math/scilab
math/sdpa
science/cp2k
science/dalton
science/elk
science/getdp
science/hdf
science/libgridxc
science/mbdyn
science/mdynamix
science/octopus
science/quantum-espresso
science/siesta
Comment 83 Antoine Brodin freebsd_committer 2020-10-17 18:38:14 UTC
New failure logs on 11.4 i386:

http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/lsp-plugins-lv2-1.1.26_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/molden-5.8.2_3,1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/ncbi-blast+-2.10.0_2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/CalculiX-ccx-2.17_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/mariadb105-client-10.5.5.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/postgresql-repmgr-5.1.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/blacs-1.7_37.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/dbcsr-2.0.1_4.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/hs-penrose-0.1.737_2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/Ipopt-3.12.13_2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/mumps-edf-5.1.2.a6_2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/mumps4-4.10.0_3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/scalapack-2.1.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/scilab-6.1.0_3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/sdpa-7.3.8_9.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/iaxmodem-1.2.0_10.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/BerkeleyGW-2.0.0_5.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/cp2k-7.1.0.20200518.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/dalton-2018.2_2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/dlpolyclassic-1.8_19.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/elk-chemistry-6.8.4.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/getdp-3.3.0.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/hdf-4.2.15_1,1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/latte-1.2.2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/libgridxc-0.8.5_3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/mbdyn-1.7.3_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/mdynamix-5.2.8_4.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/octopus-10.1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/pnetcdf-1.8.1_10.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/quantum-espresso-6.5.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-10-15_05h57m26s/logs/errors/siesta-4.0.2_3.log
Comment 84 Mark Linimon freebsd_committer freebsd_triage 2020-10-17 20:26:39 UTC
I am currently analyzing the results.  We can hold off more runs for now, thanks.
Comment 85 Antoine Brodin freebsd_committer 2020-10-18 07:19:06 UTC
New failure logs on 11.4 amd64:

http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/molden-5.8.2_3,1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/ncbi-blast+-2.10.0_2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/CalculiX-ccx-2.17_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/libretro-paralleln64-0.20200614.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/blacs-1.7_37.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/dbcsr-2.0.1_4.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/gotoblas-2.1.13.3.4.0_16.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/hs-penrose-0.1.737_2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/Ipopt-3.12.13_2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/mumps-edf-5.1.2.a6_2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/mumps4-4.10.0_3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/scalapack-2.1.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/scilab-6.1.0_3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/sdpa-7.3.8_9.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/cp2k-7.1.0.20200518.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/dalton-2018.2_2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/dlpolyclassic-1.8_19.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/elk-chemistry-6.8.4.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/getdp-3.3.0.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/hdf-4.2.15_1,1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/latte-1.2.2.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/libgridxc-0.8.5_3.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/mbdyn-1.7.3_1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/mdynamix-5.2.8_4.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/octopus-10.1.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/pnetcdf-1.8.1_10.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/quantum-espresso-6.5.log
http://package22.nyi.freebsd.org/data/114amd64-default-foo/2020-10-17_05h55m24s/logs/errors/siesta-4.0.2_3.log
Comment 86 Mark Linimon freebsd_committer freebsd_triage 2020-10-23 01:41:05 UTC
I have prepared a new patch that should fix all but 8 of the failures.  I am going to need help from someone who is willing to investigate how to properly pass Fortran flags to fix the others.

All but one of these ports are leaf ports and the other has only one dependency.  We are at the point of diminishing returns.

See new attachment.  It subsumes the bsd.gcc.mk patch.
Comment 87 Mark Linimon freebsd_committer freebsd_triage 2020-10-23 01:42:18 UTC
Created attachment 218992 [details]
patch to gcc.mk and various port Makefiles
Comment 88 Antoine Brodin freebsd_committer 2020-11-01 07:37:54 UTC
(In reply to Mark Linimon from comment #87)

In science/getdp/Makefile ,  OPTIONS_DEFINE has to be set before including bsd.port.pre.mk
Comment 89 Antoine Brodin freebsd_committer 2020-11-03 19:42:28 UTC
New failure logs on 12.1 amd64:

http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/ncbi-blast+-2.10.0_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/libretro-paralleln64-0.20200614.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/coin-or-coinmumps-1.6.2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/hs-penrose-0.1.737_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/mumps4-4.10.0_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/octave-forge-optiminterp-0.3.6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/dftbplus-19.1_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/elk-chemistry-6.8.4.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/elmerfem-8.4.20200708.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/hdf-4.2.15,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/mbdyn-1.7.3_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-01_20h28m50s/logs/errors/octopus-10.1.log
Comment 90 Antoine Brodin freebsd_committer 2020-11-03 19:43:55 UTC
New failure logs on 11.4 i386:

http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/lsp-plugins-lv2-1.1.26_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/ncbi-blast+-2.10.0_2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/mariadb105-client-10.5.6.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/coin-or-coinmumps-1.6.2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/hs-penrose-0.1.737_2.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/mumps4-4.10.0_3.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/iaxmodem-1.2.0_10.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/BerkeleyGW-2.0.0_5.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/dftbplus-19.1_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/elk-chemistry-6.8.4.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/hdf-4.2.15,1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/mbdyn-1.7.3_1.log
http://package23.nyi.freebsd.org/data/114i386-default-foo/2020-11-01_20h28m45s/logs/errors/octopus-10.1.log
Comment 91 Mark Linimon freebsd_committer freebsd_triage 2020-11-13 04:48:32 UTC
Created attachment 219622 [details]
patch to various port Makefiles

Latest patch to fix or mark BROKEN ports on GCC 10.
Comment 92 Yuri Victorovich freebsd_committer 2020-11-15 20:42:00 UTC
Related: bug#251169 (USES=fortran doesn't respect USE_GCC).
Comment 93 commit-hook freebsd_committer 2020-11-15 21:49:40 UTC
A commit references this bug:

Author: yuri
Date: Sun Nov 15 21:49:37 UTC 2020
New revision: 555435
URL: https://svnweb.freebsd.org/changeset/ports/555435

Log:
  math/dbcsr: Fixm build with gcc-10

  1. Patch cmake scripts to respect the cmake variable CMAKE_Fortran_FLAGS set by the user
  2. In case of gcc10+ add -fallow-argument-mismatch to this variable, and also add ${FFLAGS}
  3. Otherwise just add ${FFLAGS}

  PR:		246700

Changes:
  head/math/dbcsr/Makefile
  head/math/dbcsr/files/patch-cmake_CompilerConfiguration.cmake
Comment 94 Yuri Victorovich freebsd_committer 2020-11-15 21:55:42 UTC
IMO, you can just commit the patches to ports when no BROKEN tags are added. This would reduce the problem to broken ports.

Also, since science/berkeleygw only breaks on i386 it can also be committed. The gcc bug report can be filed for this failure.
Comment 95 Mark Linimon freebsd_committer freebsd_triage 2020-11-15 21:57:55 UTC
yuri@ has now committed a fix for math/dbcsr, so that part of the patch may be ignored.
Comment 96 Yuri Victorovich freebsd_committer 2020-11-15 22:14:34 UTC
science/libgridxc is broken, gcc-10 seems to find a legitimate bug in the Fortran code: https://bugs.launchpad.net/libgridxc/+bug/1904354

Since many linuxes apparently don't use gcc-10 yet, such bugs go unnoticed.
Comment 97 Yuri Victorovich freebsd_committer 2020-11-16 02:15:59 UTC
science/dalton now builds fine with gcc-10 after it has been updated to 2020.0
Comment 98 Yuri Victorovich freebsd_committer 2020-11-16 04:06:28 UTC
I incorporated your patch into the science/quantum-espresso update so now it builds fine with gcc-10.
Comment 99 commit-hook freebsd_committer 2020-11-16 18:25:45 UTC
A commit references this bug:

Author: jwb
Date: Mon Nov 16 18:25:04 UTC 2020
New revision: 555505
URL: https://svnweb.freebsd.org/changeset/ports/555505

Log:
  biology/ncbi-blast+: Upgrade to 2.11.0

  A few bug fixes and performance improvements since 2.10.0
  Also overcomes GCC 10 build issues

  PR:             ports/246700
  Reported by:    linimon

Changes:
  head/biology/ncbi-blast+/Makefile
  head/biology/ncbi-blast+/distinfo
  head/biology/ncbi-blast+/files/patch-src_build-system_configure
  head/biology/ncbi-blast+/pkg-plist
Comment 100 commit-hook freebsd_committer 2020-11-17 20:35:29 UTC
A commit references this bug:

Author: yuri
Date: Tue Nov 17 20:34:51 UTC 2020
New revision: 555584
URL: https://svnweb.freebsd.org/changeset/ports/555584

Log:
  math/hs-penrose: Fix build with gcc-10

  hmatrix-0.20.1 has it fixed.

  PR:		246700

Changes:
  head/math/hs-penrose/Makefile
  head/math/hs-penrose/distinfo
  head/math/hs-penrose/files/patch-hmatrix-0.20.0.0_hmatrix.cabal
Comment 101 Yuri Victorovich freebsd_committer 2020-11-17 20:40:56 UTC
Since science/libgridxc appears to have a legitimate fortran bug yet to be fixed,
fixing bug#251169 (USES=fortran should respect USE_GCC) can help with it.

It should be left with USE_GCC=9.
Comment 102 commit-hook freebsd_committer 2020-11-17 21:38:39 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 21:37:50 UTC 2020
New revision: 555588
URL: https://svnweb.freebsd.org/changeset/ports/555588

Log:
  Mark BROKEN on i386 and GCC 10:

    Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/REAL(4)).

  Per the maintainer, this is probably an error in GCC 10's i386 Fortran
  frontend.  But, this should not hold up our update to GCC 10 as ports
  default.

  PR:		246700 (partial)
  Approved by:	maintainer

Changes:
  head/science/berkeleygw/Makefile
Comment 103 Mark Linimon freebsd_committer freebsd_triage 2020-11-17 22:06:12 UTC
Created attachment 219773 [details]
patch to various port Makefiles
Comment 104 commit-hook freebsd_committer 2020-11-17 22:12:45 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:11:51 UTC 2020
New revision: 555591
URL: https://svnweb.freebsd.org/changeset/ports/555591

Log:
  Mark as BROKEN with GCC 10:

    Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)

  PR:		246700

Changes:
  head/math/blacs/Makefile
Comment 105 commit-hook freebsd_committer 2020-11-17 22:14:48 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:14:15 UTC 2020
New revision: 555592
URL: https://svnweb.freebsd.org/changeset/ports/555592

Log:
  Mark as BROKEN with GCC 10:

    Type mismatch between actual argument at (1) and actual argument at (2) (REAL(8)/INTEGER(4)).

  PR:		246700

Changes:
  head/math/gotoblas/Makefile
Comment 106 commit-hook freebsd_committer 2020-11-17 22:15:50 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:15:22 UTC 2020
New revision: 555593
URL: https://svnweb.freebsd.org/changeset/ports/555593

Log:
  Add workaround for Fortran frontend in GCC 10.

  PR:		246700

Changes:
  head/math/mumps4/Makefile
Comment 107 commit-hook freebsd_committer 2020-11-17 22:17:52 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:17:28 UTC 2020
New revision: 555594
URL: https://svnweb.freebsd.org/changeset/ports/555594

Log:
  Add workaround for Fortran frontend to GCC 10.

  PR:		246700

Changes:
  head/math/scalapack/Makefile
Comment 108 commit-hook freebsd_committer 2020-11-17 22:19:54 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:19:10 UTC 2020
New revision: 555595
URL: https://svnweb.freebsd.org/changeset/ports/555595

Log:
  Add workaround for Fortran frontend to GCC 10.

  PR:		246700

Changes:
  head/math/sdpa/Makefile
Comment 109 commit-hook freebsd_committer 2020-11-17 22:21:56 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:21:04 UTC 2020
New revision: 555596
URL: https://svnweb.freebsd.org/changeset/ports/555596

Log:
  Add workaround for Fortran frontend to GCC 10.

  While here, pet portlint.

  PR:		246700

Changes:
  head/science/hdf/Makefile
Comment 110 commit-hook freebsd_committer 2020-11-17 22:23:58 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:23:24 UTC 2020
New revision: 555597
URL: https://svnweb.freebsd.org/changeset/ports/555597

Log:
  Avoid building with GCC 10 due to:

    types.h:95:37: error: 'asm' operand has impossible constraints

  PR:		246700
  Approved by:	maintainer

Changes:
  head/audio/lsp-plugins-lv2/Makefile
Comment 111 commit-hook freebsd_committer 2020-11-17 22:26:00 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:25:28 UTC 2020
New revision: 555598
URL: https://svnweb.freebsd.org/changeset/ports/555598

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)

  PR:		246700
  Approved by:	maintainer

Changes:
  head/math/coinmumps/Makefile
Comment 112 commit-hook freebsd_committer 2020-11-17 22:27:07 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:27:01 UTC 2020
New revision: 555599
URL: https://svnweb.freebsd.org/changeset/ports/555599

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    Rank mismatch between actual argument at (1) and actual argument at (2) (scalar and rank-1)

  PR:		246700
  Approved by:	maintainer

Changes:
  head/math/ipopt/Makefile
Comment 113 commit-hook freebsd_committer 2020-11-17 22:29:10 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:28:17 UTC 2020
New revision: 555600
URL: https://svnweb.freebsd.org/changeset/ports/555600

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    Type mismatch between actual argument at (1) and actual argument at (2) (COMPLEX(8)/CHARACTER(*)).

  PR:		246700
  Approved by:	maintainer

Changes:
  head/science/dftbplus/Makefile
Comment 114 commit-hook freebsd_committer 2020-11-17 22:33:12 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:32:33 UTC 2020
New revision: 555601
URL: https://svnweb.freebsd.org/changeset/ports/555601

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    Type mismatch in argument 'cc' at (1); passed COMPLEX(8) to REAL(8)

  PR:		246700
  Approved by:	maintainer

Changes:
  head/science/elk/Makefile
  head/science/elk/files/make.inc.in
Comment 115 commit-hook freebsd_committer 2020-11-17 22:35:14 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:34:27 UTC 2020
New revision: 555602
URL: https://svnweb.freebsd.org/changeset/ports/555602

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    Type mismatch between actual argument at (1) and actual argument at (2) (COMPLEX(8)/REAL(8)).

  PR:		246700
  Approved by:	maintainer

Changes:
  head/science/latte/Makefile
Comment 116 commit-hook freebsd_committer 2020-11-17 22:36:16 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:36:02 UTC 2020
New revision: 555603
URL: https://svnweb.freebsd.org/changeset/ports/555603

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    Type mismatch in argument 't' at (1); passed REAL(4) to INTEGER(4)

  PR:		246700
  Approved by:	maintainer

Changes:
  head/science/mbdyn/Makefile
Comment 117 commit-hook freebsd_committer 2020-11-17 22:38:18 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:37:32 UTC 2020
New revision: 555604
URL: https://svnweb.freebsd.org/changeset/ports/555604

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    Type mismatch between actual argument at (1) and actual argument at (2) (INTEGER(4)/REAL(4)).

  PR:		246700
  Approved by:	maintainer

Changes:
  head/science/mdynamix/Makefile
Comment 118 commit-hook freebsd_committer 2020-11-17 22:39:20 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:39:17 UTC 2020
New revision: 555605
URL: https://svnweb.freebsd.org/changeset/ports/555605

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    BOZ literal constant at (1) is neither a data-stmt-constant nor an actual argument to INT, REAL, DBLE, or CMPLX intrinsic function

  PR:		246700
  Approved by:	maintainer

Changes:
  head/science/octopus/Makefile
Comment 119 commit-hook freebsd_committer 2020-11-17 22:41:22 UTC
A commit references this bug:

Author: linimon
Date: Tue Nov 17 22:40:46 UTC 2020
New revision: 555606
URL: https://svnweb.freebsd.org/changeset/ports/555606

Log:
  Add workaround for new failure with Fortran GCC 10 frontend:

    Type mismatch between actual argument at (1) and actual argument at (2) (COMPLEX(8)/REAL(8)).

  PR:		246700
  Approved by:	maintainer

Changes:
  head/science/siesta/Makefile
Comment 120 commit-hook freebsd_committer 2020-11-24 01:38:40 UTC
A commit references this bug:

Author: gerald
Date: Tue Nov 24 01:38:05 UTC 2020
New revision: 556142
URL: https://svnweb.freebsd.org/changeset/ports/556142

Log:
  Update to the 20201121 snapshot of GCC 10.2.1.

  This brings a number of backports for aarch64 and two for x86, plus
  thirteen for libstdc++.

  When building for powerpc with the old ELF ABI, lock down to USE_GCC=9
  instead of USE_GCC=yes since GCC 10 is going to become that new default
  shortly, which would cause a dependency on ourselves otherwise. [1]

  (This also addresses one of the few differences between gcc10-devel and
  gcc10 we want to unify.)

  PR:		246700 [1]

Changes:
  head/lang/gcc10-devel/Makefile
  head/lang/gcc10-devel/distinfo
Comment 121 Antoine Brodin freebsd_committer 2020-11-28 09:02:10 UTC
New failure logs on 12.1 amd64:

http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/molden-5.8.2_3,1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/CalculiX-ccx-2.17_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/wsjtx-2.1.2_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/libretro-paralleln64-0.20200614.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/hs-penrose-0.1.737_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/mumps-edf-5.1.2.a6_2.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/octave-forge-optiminterp-0.3.6.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/scilab-6.1.0_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/cp2k-7.1.0.20200518.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/elmerfem-8.4.20200708_1.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/getdp-3.3.0.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/libgridxc-0.8.5_3.log
http://package18.nyi.freebsd.org/data/121amd64-default-PR244494/2020-11-26_18h55m37s/logs/errors/pnetcdf-1.8.1_10.log
Comment 122 commit-hook freebsd_committer 2020-11-28 09:43:21 UTC
A commit references this bug:

Author: thierry
Date: Sat Nov 28 09:42:47 UTC 2020
New revision: 556481
URL: https://svnweb.freebsd.org/changeset/ports/556481

Log:
  Add a work-around for gfortran10.

  PR:		246700

Changes:
  head/math/mumps/Makefile
Comment 123 Antoine Brodin freebsd_committer 2020-12-02 07:23:24 UTC
New failure logs on 12.1 i386:

http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/molden-5.8.2_3,1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/CalculiX-ccx-2.17_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/wsjtx-2.1.2_2.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/mariadb105-client-10.5.8.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/hs-penrose-0.1.737_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/octave-forge-optiminterp-0.3.6.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/scilab-6.1.0_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/iaxmodem-1.2.0_10.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/cp2k-7.1.0.20200518.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/elmerfem-8.4.20200708_1.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/getdp-3.3.0.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/libgridxc-0.8.5_3.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/pnetcdf-1.8.1_10.log
http://pb2.nyi.freebsd.org/data/121i386-default-PR244494/2020-12-01_06h57m35s/logs/errors/tfel-mfront-edf-3.2.1.1.log
Comment 124 Mark Linimon freebsd_committer freebsd_triage 2020-12-03 17:38:47 UTC
Notes:

  databases/mariadb105-client builds here for me on i386.
  cience/tfel-edf is a new port.

I will post a new patch shortly.
Comment 125 Thierry Thomas freebsd_committer 2020-12-03 18:12:53 UTC
(In reply to Mark Linimon from comment #124)

Mark, about science/tfel-edf, I was just about to pass -fallow-argument-mismatch, but if you have a better patch, please go!
Comment 126 commit-hook freebsd_committer 2020-12-04 10:44:09 UTC
A commit references this bug:

Author: thierry
Date: Fri Dec  4 10:44:05 UTC 2020
New revision: 556967
URL: https://svnweb.freebsd.org/changeset/ports/556967

Log:
  Add a work-around for gfortran10 (different operand types).

  Note: this is fixed in the next release, used in science/tfel.

  PR:		246700
  Reported by:	exp-run

Changes:
  head/science/tfel-edf/Makefile
Comment 127 Mark Linimon freebsd_committer freebsd_triage 2020-12-06 16:02:02 UTC
Created attachment 220319 [details]
patch to various port Makefiles

Revised patch to various port Makefiles
Comment 128 Thierry Thomas freebsd_committer 2020-12-06 17:56:02 UTC
Comment on attachment 220319 [details]
patch to various port Makefiles

Note about math/mumps: already patched in r556481.
Comment 130 commit-hook freebsd_committer 2020-12-21 16:37:54 UTC
A commit references this bug:

Author: thierry
Date: Mon Dec 21 16:37:24 UTC 2020
New revision: 558843
URL: https://svnweb.freebsd.org/changeset/ports/558843

Log:
  Fix for GCC_DEFAULT=10.

  PR:		246700
  Submitted by:	gerald@
  Reported by:	exp-run (antoine@)

Changes:
  head/science/tfel-edf/files/patch-cmake_modules_tfel.cmake
  head/science/tfel-edf/files/patch-mtest_src_AsterSmallStrainBehaviour.cxx
Comment 131 Mark Linimon freebsd_committer freebsd_triage 2020-12-24 07:18:50 UTC
(In reply to Antoine Brodin from comment #129)
If this was the only regression, may I have permission to commit?
Comment 132 Antoine Brodin freebsd_committer 2020-12-24 08:35:34 UTC
(In reply to Mark Linimon from comment #131)
Yes this should be fine
Comment 133 Gerald Pfeifer freebsd_committer 2020-12-24 09:59:27 UTC
Lovely. Thanks a huge bunch for pushing this towards/over the finish
line, Mark!
Comment 134 commit-hook freebsd_committer 2021-01-13 23:04:23 UTC
A commit references this bug:

Author: linimon
Date: Wed Jan 13 23:03:35 UTC 2021
New revision: 561520
URL: https://svnweb.freebsd.org/changeset/ports/561520

Log:
  Update GCC_DEFAULT from 9 to 10.

  A few (mostly Fortran-based) ports need to be patched because GCC 10
  is stricter.  A handful of ports need to be restricted to GCC 9 because
  they fail with 10.

  5 ports still fail with GCC 10.  However, seeing as this work has been
  ongoing since 2020-05-24, it is simply time to make the commit and
  notify the affected maintainers.

  While here, pet portlint (Makevar order).

  PR:		246700
  Submitted by:	gerald
  Approved by:	antoine (after many, many, -exp runs)

Changes:
  head/Mk/bsd.default-versions.mk
  head/cad/calculix-ccx/Makefile
  head/comms/wsjtx/Makefile
  head/databases/mariadb105-server/Makefile
  head/games/libretro-paralleln64/Makefile
  head/math/hs-penrose/Makefile
  head/math/mumps/Makefile
  head/math/octave-forge-optiminterp/Makefile
  head/math/scilab/Makefile
  head/net/iaxmodem/Makefile
  head/science/cp2k/Makefile
  head/science/elmerfem/Makefile
  head/science/getdp/Makefile
  head/science/libgridxc/Makefile
  head/science/pnetcdf/Makefile
Comment 135 Mark Linimon freebsd_committer freebsd_triage 2021-01-13 23:08:52 UTC
Committed, thanks.
Comment 136 Mark Linimon freebsd_committer freebsd_triage 2021-01-13 23:10:15 UTC
Committed, thanks.